/* Emacs: This is -*- C -*- code. */

/* User defined primitive declarations. */

#include "usrdef.h"

long MAX_PRIMITIVE = 452; /* = 0x1c4 */

extern SCHEME_OBJECT
  EXFUN (Prim_bignum_zero_p, (void)),
  EXFUN (Prim_bignum_negative_p, (void)),
  EXFUN (Prim_bignum_positive_p, (void)),
  EXFUN (Prim_bignum_equal_p, (void)),
  EXFUN (Prim_bignum_less_p, (void)),
  EXFUN (Prim_bignum_add, (void)),
  EXFUN (Prim_bignum_subtract, (void)),
  EXFUN (Prim_bignum_multiply, (void)),
  EXFUN (Prim_bignum_divide, (void)),
  EXFUN (Prim_bignum_quotient, (void)),
  EXFUN (Prim_bignum_remainder, (void)),
  EXFUN (Prim_listify_bignum, (void)),
  EXFUN (Prim_fixnum_to_bignum, (void)),
  EXFUN (Prim_bignum_to_fixnum, (void)),
  EXFUN (Prim_flonum_to_bignum, (void)),
  EXFUN (Prim_bignum_to_flonum, (void)),
  EXFUN (Prim_bit_string_allocate, (void)),
  EXFUN (Prim_bit_string_p, (void)),
  EXFUN (Prim_make_bit_string, (void)),
  EXFUN (Prim_bit_string_fill_x, (void)),
  EXFUN (Prim_bit_string_length, (void)),
  EXFUN (Prim_bit_string_ref, (void)),
  EXFUN (Prim_bit_string_clear_x, (void)),
  EXFUN (Prim_bit_string_set_x, (void)),
  EXFUN (Prim_bit_string_zero_p, (void)),
  EXFUN (Prim_bit_string_equal_p, (void)),
  EXFUN (Prim_bit_string_move_x, (void)),
  EXFUN (Prim_bit_string_movec_x, (void)),
  EXFUN (Prim_bit_string_or_x, (void)),
  EXFUN (Prim_bit_string_and_x, (void)),
  EXFUN (Prim_bit_string_andc_x, (void)),
  EXFUN (Prim_bit_string_xor_x, (void)),
  EXFUN (Prim_bit_substring_move_right_x, (void)),
  EXFUN (Prim_unsigned_to_bit_string, (void)),
  EXFUN (Prim_bit_string_to_unsigned, (void)),
  EXFUN (Prim_read_bits_x, (void)),
  EXFUN (Prim_write_bits_x, (void)),
  EXFUN (Prim_bitstr_find_next_set_bit, (void)),
  EXFUN (Prim_microcode_identify, (void)),
  EXFUN (Prim_microcode_tables_filename, (void)),
  EXFUN (Prim_microcode_library_path, (void)),
  EXFUN (Prim_get_command_line, (void)),
  EXFUN (Prim_get_unused_command_line, (void)),
  EXFUN (Prim_reload_save_string, (void)),
  EXFUN (Prim_reload_retrieve_string, (void)),
  EXFUN (Prim_make_char, (void)),
  EXFUN (Prim_char_bits, (void)),
  EXFUN (Prim_char_code, (void)),
  EXFUN (Prim_char_to_integer, (void)),
  EXFUN (Prim_integer_to_char, (void)),
  EXFUN (Prim_char_downcase, (void)),
  EXFUN (Prim_char_upcase, (void)),
  EXFUN (Prim_ascii_to_char, (void)),
  EXFUN (Prim_char_to_ascii, (void)),
  EXFUN (Prim_char_ascii_p, (void)),
  EXFUN (Prim_comp_code_address_block, (void)),
  EXFUN (Prim_comp_code_address_offset, (void)),
  EXFUN (Prim_stack_top_address, (void)),
  EXFUN (Prim_stack_address_offset, (void)),
  EXFUN (Prim_compiled_entry_type, (void)),
  EXFUN (Prim_coerce_to_closure, (void)),
  EXFUN (Prim_compiled_closure_to_entry, (void)),
  EXFUN (Prim_close_lost_open_files, (void)),
  EXFUN (Prim_rehash, (void)),
  EXFUN (Prim_debugging_printer, (void)),
  EXFUN (Prim_floating_vector_cons, (void)),
  EXFUN (Prim_floating_vector_ref, (void)),
  EXFUN (Prim_floating_vector_set, (void)),
  EXFUN (Prim_floating_vector_length, (void)),
  EXFUN (Prim_map_code_to_address, (void)),
  EXFUN (Prim_map_address_to_code, (void)),
  EXFUN (Prim_primitive_procedure_arity, (void)),
  EXFUN (Prim_primitive_procedure_doc, (void)),
  EXFUN (Prim_get_primitive_counts, (void)),
  EXFUN (Prim_get_primitive_name, (void)),
  EXFUN (Prim_get_primitive_address, (void)),
  EXFUN (Prim_binary_fasload, (void)),
  EXFUN (Prim_reload_band_name, (void)),
  EXFUN (Prim_band_load, (void)),
  EXFUN (Prim_zero_fixnum, (void)),
  EXFUN (Prim_negative_fixnum, (void)),
  EXFUN (Prim_positive_fixnum, (void)),
  EXFUN (Prim_equal_fixnum, (void)),
  EXFUN (Prim_less_fixnum, (void)),
  EXFUN (Prim_greater_fixnum, (void)),
  EXFUN (Prim_one_plus_fixnum, (void)),
  EXFUN (Prim_m_1_plus_fixnum, (void)),
  EXFUN (Prim_plus_fixnum, (void)),
  EXFUN (Prim_minus_fixnum, (void)),
  EXFUN (Prim_fixnum_negate, (void)),
  EXFUN (Prim_multiply_fixnum, (void)),
  EXFUN (Prim_divide_fixnum, (void)),
  EXFUN (Prim_fixnum_quotient, (void)),
  EXFUN (Prim_fixnum_remainder, (void)),
  EXFUN (Prim_gcd_fixnum, (void)),
  EXFUN (Prim_fixnum_andc, (void)),
  EXFUN (Prim_fixnum_and, (void)),
  EXFUN (Prim_fixnum_or, (void)),
  EXFUN (Prim_fixnum_xor, (void)),
  EXFUN (Prim_fixnum_not, (void)),
  EXFUN (Prim_fixnum_lsh, (void)),
  EXFUN (Prim_flonum_add, (void)),
  EXFUN (Prim_flonum_subtract, (void)),
  EXFUN (Prim_flonum_multiply, (void)),
  EXFUN (Prim_flonum_divide, (void)),
  EXFUN (Prim_flonum_negate, (void)),
  EXFUN (Prim_flonum_abs, (void)),
  EXFUN (Prim_flonum_equal_p, (void)),
  EXFUN (Prim_flonum_less_p, (void)),
  EXFUN (Prim_flonum_greater_p, (void)),
  EXFUN (Prim_flonum_zero_p, (void)),
  EXFUN (Prim_flonum_positive_p, (void)),
  EXFUN (Prim_flonum_negative_p, (void)),
  EXFUN (Prim_flonum_exp, (void)),
  EXFUN (Prim_flonum_log, (void)),
  EXFUN (Prim_flonum_sin, (void)),
  EXFUN (Prim_flonum_cos, (void)),
  EXFUN (Prim_flonum_tan, (void)),
  EXFUN (Prim_flonum_asin, (void)),
  EXFUN (Prim_flonum_acos, (void)),
  EXFUN (Prim_flonum_atan, (void)),
  EXFUN (Prim_flonum_atan2, (void)),
  EXFUN (Prim_flonum_sqrt, (void)),
  EXFUN (Prim_flonum_expt, (void)),
  EXFUN (Prim_flonum_p, (void)),
  EXFUN (Prim_flonum_integer_p, (void)),
  EXFUN (Prim_flonum_floor, (void)),
  EXFUN (Prim_flonum_ceiling, (void)),
  EXFUN (Prim_flonum_truncate, (void)),
  EXFUN (Prim_flonum_round, (void)),
  EXFUN (Prim_flonum_truncate_to_exact, (void)),
  EXFUN (Prim_flonum_floor_to_exact, (void)),
  EXFUN (Prim_flonum_ceiling_to_exact, (void)),
  EXFUN (Prim_flonum_round_to_exact, (void)),
  EXFUN (Prim_flonum_normalize, (void)),
  EXFUN (Prim_flonum_denormalize, (void)),
  EXFUN (Prim_zero, (void)),
  EXFUN (Prim_positive, (void)),
  EXFUN (Prim_negative, (void)),
  EXFUN (Prim_add_one, (void)),
  EXFUN (Prim_subtract_one, (void)),
  EXFUN (Prim_equal_number, (void)),
  EXFUN (Prim_less, (void)),
  EXFUN (Prim_greater, (void)),
  EXFUN (Prim_add, (void)),
  EXFUN (Prim_subtract, (void)),
  EXFUN (Prim_multiply, (void)),
  EXFUN (Prim_divide, (void)),
  EXFUN (Prim_quotient, (void)),
  EXFUN (Prim_remainder, (void)),
  EXFUN (Prim_modulo, (void)),
  EXFUN (Prim_apply, (void)),
  EXFUN (Prim_catch, (void)),
  EXFUN (Prim_non_reentrant_catch, (void)),
  EXFUN (Prim_within_control_point, (void)),
  EXFUN (Prim_error_procedure, (void)),
  EXFUN (Prim_scode_eval, (void)),
  EXFUN (Prim_force, (void)),
  EXFUN (Prim_execute_at_new_point, (void)),
  EXFUN (Prim_translate_to_point, (void)),
  EXFUN (Prim_make_state_space, (void)),
  EXFUN (Prim_current_dynamic_state, (void)),
  EXFUN (Prim_set_dynamic_state, (void)),
  EXFUN (Prim_get_interrupt_enables, (void)),
  EXFUN (Prim_set_interrupt_enables, (void)),
  EXFUN (Prim_clear_interrupts, (void)),
  EXFUN (Prim_disable_interrupts, (void)),
  EXFUN (Prim_enable_interrupts, (void)),
  EXFUN (Prim_return_to_application, (void)),
  EXFUN (Prim_with_stack_marker, (void)),
  EXFUN (Prim_with_interrupt_mask, (void)),
  EXFUN (Prim_with_interrupts_reduced, (void)),
  EXFUN (Prim_set_current_history, (void)),
  EXFUN (Prim_with_history_disabled, (void)),
  EXFUN (Prim_get_fluid_bindings, (void)),
  EXFUN (Prim_set_fluid_bindings, (void)),
  EXFUN (Prim_get_fixed_objects_vector, (void)),
  EXFUN (Prim_set_fixed_objects_vector, (void)),
  EXFUN (Prim_hunk3_cons, (void)),
  EXFUN (Prim_hunk3_cxr, (void)),
  EXFUN (Prim_hunk3_set_cxr, (void)),
  EXFUN (Prim_sys_h3_0, (void)),
  EXFUN (Prim_sys_h3_1, (void)),
  EXFUN (Prim_sys_h3_2, (void)),
  EXFUN (Prim_sh3_set_0, (void)),
  EXFUN (Prim_sh3_set_1, (void)),
  EXFUN (Prim_sh3_set_2, (void)),
  EXFUN (Prim_find_symbol, (void)),
  EXFUN (Prim_string_to_symbol, (void)),
  EXFUN (Prim_string_hash, (void)),
  EXFUN (Prim_string_hash_mod, (void)),
  EXFUN (Prim_integer_zero_p, (void)),
  EXFUN (Prim_integer_negative_p, (void)),
  EXFUN (Prim_integer_positive_p, (void)),
  EXFUN (Prim_integer_equal_p, (void)),
  EXFUN (Prim_integer_less_p, (void)),
  EXFUN (Prim_integer_greater_p, (void)),
  EXFUN (Prim_integer_add, (void)),
  EXFUN (Prim_integer_subtract, (void)),
  EXFUN (Prim_integer_multiply, (void)),
  EXFUN (Prim_integer_negate, (void)),
  EXFUN (Prim_integer_add_1, (void)),
  EXFUN (Prim_integer_subtract_1, (void)),
  EXFUN (Prim_integer_divide, (void)),
  EXFUN (Prim_integer_quotient, (void)),
  EXFUN (Prim_integer_remainder, (void)),
  EXFUN (Prim_integer_p, (void)),
  EXFUN (Prim_integer_to_flonum, (void)),
  EXFUN (Prim_pair, (void)),
  EXFUN (Prim_cons, (void)),
  EXFUN (Prim_car, (void)),
  EXFUN (Prim_cdr, (void)),
  EXFUN (Prim_set_car, (void)),
  EXFUN (Prim_set_cdr, (void)),
  EXFUN (Prim_general_car_cdr, (void)),
  EXFUN (Prim_length, (void)),
  EXFUN (Prim_memq, (void)),
  EXFUN (Prim_assq, (void)),
  EXFUN (Prim_sys_pair, (void)),
  EXFUN (Prim_sys_pair_cons, (void)),
  EXFUN (Prim_sys_pair_car, (void)),
  EXFUN (Prim_sys_pair_cdr, (void)),
  EXFUN (Prim_sys_set_car, (void)),
  EXFUN (Prim_sys_set_cdr, (void)),
  EXFUN (Prim_lexical_assignment, (void)),
  EXFUN (Prim_lexical_reference, (void)),
  EXFUN (Prim_local_reference, (void)),
  EXFUN (Prim_local_assignment, (void)),
  EXFUN (Prim_unassigned_test, (void)),
  EXFUN (Prim_unbound_test, (void)),
  EXFUN (Prim_unreferenceable_test, (void)),
  EXFUN (Prim_environment_link_name, (void)),
  EXFUN (Prim_prim_obj_type, (void)),
  EXFUN (Prim_prim_obj_gc_type, (void)),
  EXFUN (Prim_prim_obj_type_p, (void)),
  EXFUN (Prim_prim_obj_datum, (void)),
  EXFUN (Prim_make_non_pointer_object, (void)),
  EXFUN (Prim_prim_obj_set_type, (void)),
  EXFUN (Prim_prim_obj_eq_p, (void)),
  EXFUN (Prim_prim_obj_ref, (void)),
  EXFUN (Prim_prim_obj_set, (void)),
  EXFUN (Prim_object_type, (void)),
  EXFUN (Prim_object_gc_type, (void)),
  EXFUN (Prim_object_type_p, (void)),
  EXFUN (Prim_object_datum, (void)),
  EXFUN (Prim_object_set_type, (void)),
  EXFUN (Prim_eq, (void)),
  EXFUN (Prim_not, (void)),
  EXFUN (Prim_make_cell, (void)),
  EXFUN (Prim_cell_p, (void)),
  EXFUN (Prim_cell_contents, (void)),
  EXFUN (Prim_set_cell_contents, (void)),
  EXFUN (Prim_impurify, (void)),
  EXFUN (Prim_pure_p, (void)),
  EXFUN (Prim_constant_p, (void)),
  EXFUN (Prim_get_next_constant, (void)),
  EXFUN (Prim_re_char_set_adjoin, (void)),
  EXFUN (Prim_re_compile_fastmap, (void)),
  EXFUN (Prim_re_match_substring, (void)),
  EXFUN (Prim_re_search_substr_forward, (void)),
  EXFUN (Prim_re_search_substr_backward, (void)),
  EXFUN (Prim_re_match_buffer, (void)),
  EXFUN (Prim_re_search_buffer_forward, (void)),
  EXFUN (Prim_re_search_buffer_backward, (void)),
  EXFUN (Prim_eval_step, (void)),
  EXFUN (Prim_apply_step, (void)),
  EXFUN (Prim_return_step, (void)),
  EXFUN (Prim_string_allocate, (void)),
  EXFUN (Prim_string_p, (void)),
  EXFUN (Prim_string_length, (void)),
  EXFUN (Prim_string_maximum_length, (void)),
  EXFUN (Prim_set_string_length, (void)),
  EXFUN (Prim_set_string_maximum_length, (void)),
  EXFUN (Prim_string_ref, (void)),
  EXFUN (Prim_vec_8b_ref, (void)),
  EXFUN (Prim_string_set, (void)),
  EXFUN (Prim_vec_8b_set, (void)),
  EXFUN (Prim_substring_move_right, (void)),
  EXFUN (Prim_substring_move_left, (void)),
  EXFUN (Prim_substring_upcase, (void)),
  EXFUN (Prim_substring_downcase, (void)),
  EXFUN (Prim_vec_8b_fill, (void)),
  EXFUN (Prim_vec_8b_find_next_char, (void)),
  EXFUN (Prim_vec_8b_find_prev_char, (void)),
  EXFUN (Prim_vec_8b_find_next_char_ci, (void)),
  EXFUN (Prim_vec_8b_find_prev_char_ci, (void)),
  EXFUN (Prim_find_next_char_in_set, (void)),
  EXFUN (Prim_find_prev_char_in_set, (void)),
  EXFUN (Prim_substring_equal, (void)),
  EXFUN (Prim_substring_ci_equal, (void)),
  EXFUN (Prim_substring_less, (void)),
  EXFUN (Prim_match_forward, (void)),
  EXFUN (Prim_match_forward_ci, (void)),
  EXFUN (Prim_match_backward, (void)),
  EXFUN (Prim_match_backward_ci, (void)),
  EXFUN (Prim_string_to_syntax_entry, (void)),
  EXFUN (Prim_char_to_syntax_code, (void)),
  EXFUN (Prim_quoted_char_p, (void)),
  EXFUN (Prim_scan_backward_prefix_chars, (void)),
  EXFUN (Prim_scan_forward_prefix_chars, (void)),
  EXFUN (Prim_scan_forward_to_word, (void)),
  EXFUN (Prim_scan_word_forward, (void)),
  EXFUN (Prim_scan_word_backward, (void)),
  EXFUN (Prim_scan_list_forward, (void)),
  EXFUN (Prim_scan_list_backward, (void)),
  EXFUN (Prim_scan_sexps_forward, (void)),
  EXFUN (Prim_non_restartable_exit, (void)),
  EXFUN (Prim_non_restartable_exit_with_value, (void)),
  EXFUN (Prim_restartable_exit, (void)),
  EXFUN (Prim_under_emacs_p, (void)),
  EXFUN (Prim_set_run_light, (void)),
  EXFUN (Prim_gc_space_status, (void)),
  EXFUN (Prim_set_trap_state, (void)),
  EXFUN (Prim_termcap_param_string, (void)),
  EXFUN (Prim_termcap_goto_string, (void)),
  EXFUN (Prim_termcap_pad_string, (void)),
  EXFUN (Prim_vector_cons, (void)),
  EXFUN (Prim_vector, (void)),
  EXFUN (Prim_sys_vector, (void)),
  EXFUN (Prim_vector_size, (void)),
  EXFUN (Prim_sys_vec_size, (void)),
  EXFUN (Prim_vector_ref, (void)),
  EXFUN (Prim_sys_vector_ref, (void)),
  EXFUN (Prim_vector_set, (void)),
  EXFUN (Prim_sys_vec_set, (void)),
  EXFUN (Prim_subvector_to_list, (void)),
  EXFUN (Prim_sys_subvector_to_list, (void)),
  EXFUN (Prim_list_to_vector, (void)),
  EXFUN (Prim_sys_list_to_vector, (void)),
  EXFUN (Prim_subvector_move_right, (void)),
  EXFUN (Prim_subvector_move_left, (void)),
  EXFUN (Prim_vector_fill, (void)),
  EXFUN (Prim_get_decoded_time, (void)),
  EXFUN (Prim_current_year, (void)),
  EXFUN (Prim_current_month, (void)),
  EXFUN (Prim_current_day, (void)),
  EXFUN (Prim_current_hour, (void)),
  EXFUN (Prim_current_minute, (void)),
  EXFUN (Prim_current_second, (void)),
  EXFUN (Prim_system_clock, (void)),
  EXFUN (Prim_real_time_clock, (void)),
  EXFUN (Prim_process_timer_clear, (void)),
  EXFUN (Prim_process_timer_set, (void)),
  EXFUN (Prim_real_timer_clear, (void)),
  EXFUN (Prim_real_timer_set, (void)),
  EXFUN (Prim_setup_timer_interrupt, (void)),
  EXFUN (Prim_working_dir_pathname, (void)),
  EXFUN (Prim_set_working_dir_pathname, (void)),
  EXFUN (Prim_get_environment_variable, (void)),
  EXFUN (Prim_current_user_name, (void)),
  EXFUN (Prim_current_user_home_directory, (void)),
  EXFUN (Prim_system_call_error_message, (void)),
  EXFUN (Prim_file_open_input_channel, (void)),
  EXFUN (Prim_file_open_output_channel, (void)),
  EXFUN (Prim_file_open_binary_input_channel, (void)),
  EXFUN (Prim_file_open_binary_output_channel, (void)),
  EXFUN (Prim_file_open_io_channel, (void)),
  EXFUN (Prim_file_open_append_channel, (void)),
  EXFUN (Prim_file_open_channel, (void)),
  EXFUN (Prim_file_length, (void)),
  EXFUN (Prim_file_position, (void)),
  EXFUN (Prim_file_set_position, (void)),
  EXFUN (Prim_file_exists_p, (void)),
  EXFUN (Prim_file_access, (void)),
  EXFUN (Prim_file_directory_p, (void)),
  EXFUN (Prim_file_soft_link_p, (void)),
  EXFUN (Prim_file_remove, (void)),
  EXFUN (Prim_file_remove_link, (void)),
  EXFUN (Prim_file_rename, (void)),
  EXFUN (Prim_file_link_hard, (void)),
  EXFUN (Prim_file_link_soft, (void)),
  EXFUN (Prim_link_file, (void)),
  EXFUN (Prim_file_copy, (void)),
  EXFUN (Prim_directory_make, (void)),
  EXFUN (Prim_directory_open_noread, (void)),
  EXFUN (Prim_directory_close, (void)),
  EXFUN (Prim_directory_open, (void)),
  EXFUN (Prim_directory_read, (void)),
  EXFUN (Prim_directory_read_matching, (void)),
  EXFUN (Prim_new_directory_open, (void)),
  EXFUN (Prim_new_directory_close, (void)),
  EXFUN (Prim_new_directory_read, (void)),
  EXFUN (Prim_new_directory_read_match, (void)),
  EXFUN (Prim_channel_close, (void)),
  EXFUN (Prim_channel_table, (void)),
  EXFUN (Prim_channel_type, (void)),
  EXFUN (Prim_channel_read, (void)),
  EXFUN (Prim_channel_write, (void)),
  EXFUN (Prim_channel_blocking_p, (void)),
  EXFUN (Prim_channel_nonblocking, (void)),
  EXFUN (Prim_channel_blocking, (void)),
  EXFUN (Prim_make_pipe, (void)),
  EXFUN (Prim_channel_registered_p, (void)),
  EXFUN (Prim_channel_register, (void)),
  EXFUN (Prim_channel_unregister, (void)),
  EXFUN (Prim_channel_select_then_read, (void)),
  EXFUN (Prim_terminal_get_ispeed, (void)),
  EXFUN (Prim_terminal_get_ospeed, (void)),
  EXFUN (Prim_baud_index_to_rate, (void)),
  EXFUN (Prim_baud_rate_to_index, (void)),
  EXFUN (Prim_terminal_get_state, (void)),
  EXFUN (Prim_terminal_set_state, (void)),
  EXFUN (Prim_terminal_cooked_output_p, (void)),
  EXFUN (Prim_terminal_raw_output, (void)),
  EXFUN (Prim_terminal_cooked_output, (void)),
  EXFUN (Prim_terminal_buffered_p, (void)),
  EXFUN (Prim_terminal_buffered, (void)),
  EXFUN (Prim_terminal_nonbuffered, (void)),
  EXFUN (Prim_terminal_flush_input, (void)),
  EXFUN (Prim_terminal_flush_output, (void)),
  EXFUN (Prim_terminal_drain_output, (void)),
  EXFUN (Prim_os_job_control_p, (void)),
  EXFUN (Prim_have_ptys_p, (void)),
  EXFUN (Prim_tty_input_channel, (void)),
  EXFUN (Prim_tty_output_channel, (void)),
  EXFUN (Prim_tty_x_size, (void)),
  EXFUN (Prim_tty_y_size, (void)),
  EXFUN (Prim_tty_command_beep, (void)),
  EXFUN (Prim_tty_command_clear, (void)),
  EXFUN (Prim_tty_next_interrupt_char, (void)),
  EXFUN (Prim_tty_get_interrupt_enables, (void)),
  EXFUN (Prim_tty_set_interrupt_enables, (void)),
  EXFUN (Prim_tty_get_interrupt_chars, (void)),
  EXFUN (Prim_tty_set_interrupt_chars, (void)),
  EXFUN (Prim_current_file_time, (void)),
  EXFUN (Prim_file_time_to_string, (void)),
  EXFUN (Prim_get_user_home_directory, (void)),
  EXFUN (Prim_uid_to_string, (void)),
  EXFUN (Prim_gid_to_string, (void)),
  EXFUN (Prim_current_uid, (void)),
  EXFUN (Prim_current_gid, (void)),
  EXFUN (Prim_system, (void)),
  EXFUN (Prim_unix_environment_alist, (void)),
  EXFUN (Prim_full_hostname, (void)),
  EXFUN (Prim_hostname, (void)),
  EXFUN (Prim_dos_set_kbd_mod_mask, (void)),
  EXFUN (Prim_dos_set_keyboard_translation, (void)),
  EXFUN (Prim_file_modes, (void)),
  EXFUN (Prim_set_file_modes, (void)),
  EXFUN (Prim_file_mod_time, (void)),
  EXFUN (Prim_file_mod_time_indirect, (void)),
  EXFUN (Prim_file_attributes, (void)),
  EXFUN (Prim_file_attributes_indirect, (void)),
  EXFUN (Prim_file_touch, (void)),
  EXFUN (Prim_set_file_times, (void)),
  EXFUN (Prim_file_eq_p, (void)),
  EXFUN (Prim_keyboard_get_conversion, (void)),
  EXFUN (Prim_keyboard_set_conversion, (void)),
  EXFUN (Prim_consume_typeahead, (void)),
  EXFUN (Prim_prim_fasdump, (void)),
  EXFUN (Prim_band_dump, (void)),
  EXFUN (Prim_garbage_collect, (void)),
  EXFUN (Prim_primitive_purify, (void));

SCHEME_OBJECT
DEFUN_VOID (Prim_inexistent)
{
  PRIMITIVE_HEADER (-1);

  signal_error_from_primitive (ERR_UNIMPLEMENTED_PRIMITIVE);
  /*NOTREACHED*/
}

SCHEME_OBJECT EXFUN ((* (Primitive_Procedure_Table [])), (void)) = {
  Prim_multiply                        /*  2 &*                                           Primitive   0x0 in generic.c */,
  Prim_add                             /*  2 &+                                           Primitive   0x1 in generic.c */,
  Prim_subtract                        /*  2 &-                                           Primitive   0x2 in generic.c */,
  Prim_divide                          /*  2 &/                                           Primitive   0x3 in generic.c */,
  Prim_less                            /*  2 &<                                           Primitive   0x4 in generic.c */,
  Prim_equal_number                    /*  2 &=                                           Primitive   0x5 in generic.c */,
  Prim_greater                         /*  2 &>                                           Primitive   0x6 in generic.c */,
  Prim_subtract_one                    /*  1 -1+                                          Primitive   0x7 in generic.c */,
  Prim_add_one                         /*  1 1+                                           Primitive   0x8 in generic.c */,
  Prim_apply                           /*  2 APPLY                                        Primitive   0x9 in hooks.c */,
  Prim_ascii_to_char                   /*  1 ASCII->CHAR                                  Primitive   0xa in char.c */,
  Prim_assq                            /*  2 ASSQ                                         Primitive   0xb in list.c */,
  Prim_baud_index_to_rate              /*  1 BAUD-INDEX->RATE                             Primitive   0xc in prosterm.c */,
  Prim_baud_rate_to_index              /*  1 BAUD-RATE->INDEX                             Primitive   0xd in prosterm.c */,
  Prim_bignum_to_fixnum                /*  1 BIGNUM->FIXNUM                               Primitive   0xe in bigprm.c */,
  Prim_bignum_to_flonum                /*  1 BIGNUM->FLONUM                               Primitive   0xf in bigprm.c */,
  Prim_bignum_add                      /*  2 BIGNUM-ADD                                   Primitive  0x10 in bigprm.c */,
  Prim_bignum_divide                   /*  2 BIGNUM-DIVIDE                                Primitive  0x11 in bigprm.c */,
  Prim_bignum_equal_p                  /*  2 BIGNUM-EQUAL?                                Primitive  0x12 in bigprm.c */,
  Prim_bignum_less_p                   /*  2 BIGNUM-LESS?                                 Primitive  0x13 in bigprm.c */,
  Prim_bignum_multiply                 /*  2 BIGNUM-MULTIPLY                              Primitive  0x14 in bigprm.c */,
  Prim_bignum_negative_p               /*  1 BIGNUM-NEGATIVE?                             Primitive  0x15 in bigprm.c */,
  Prim_bignum_positive_p               /*  1 BIGNUM-POSITIVE?                             Primitive  0x16 in bigprm.c */,
  Prim_bignum_quotient                 /*  2 BIGNUM-QUOTIENT                              Primitive  0x17 in bigprm.c */,
  Prim_bignum_remainder                /*  2 BIGNUM-REMAINDER                             Primitive  0x18 in bigprm.c */,
  Prim_bignum_subtract                 /*  2 BIGNUM-SUBTRACT                              Primitive  0x19 in bigprm.c */,
  Prim_bignum_zero_p                   /*  1 BIGNUM-ZERO?                                 Primitive  0x1a in bigprm.c */,
  Prim_binary_fasload                  /*  1 BINARY-FASLOAD                               Primitive  0x1b in fasload.c */,
  Prim_bit_string_to_unsigned          /*  1 BIT-STRING->UNSIGNED-INTEGER                 Primitive  0x1c in bitstr.c */,
  Prim_bit_string_allocate             /*  1 BIT-STRING-ALLOCATE                          Primitive  0x1d in bitstr.c */,
  Prim_bit_string_and_x                /*  2 BIT-STRING-AND!                              Primitive  0x1e in bitstr.c */,
  Prim_bit_string_andc_x               /*  2 BIT-STRING-ANDC!                             Primitive  0x1f in bitstr.c */,
  Prim_bit_string_clear_x              /*  2 BIT-STRING-CLEAR!                            Primitive  0x20 in bitstr.c */,
  Prim_bit_string_fill_x               /*  2 BIT-STRING-FILL!                             Primitive  0x21 in bitstr.c */,
  Prim_bit_string_length               /*  1 BIT-STRING-LENGTH                            Primitive  0x22 in bitstr.c */,
  Prim_bit_string_move_x               /*  2 BIT-STRING-MOVE!                             Primitive  0x23 in bitstr.c */,
  Prim_bit_string_movec_x              /*  2 BIT-STRING-MOVEC!                            Primitive  0x24 in bitstr.c */,
  Prim_bit_string_or_x                 /*  2 BIT-STRING-OR!                               Primitive  0x25 in bitstr.c */,
  Prim_bit_string_ref                  /*  2 BIT-STRING-REF                               Primitive  0x26 in bitstr.c */,
  Prim_bit_string_set_x                /*  2 BIT-STRING-SET!                              Primitive  0x27 in bitstr.c */,
  Prim_bit_string_xor_x                /*  2 BIT-STRING-XOR!                              Primitive  0x28 in bitstr.c */,
  Prim_bit_string_zero_p               /*  1 BIT-STRING-ZERO?                             Primitive  0x29 in bitstr.c */,
  Prim_bit_string_equal_p              /*  2 BIT-STRING=?                                 Primitive  0x2a in bitstr.c */,
  Prim_bit_string_p                    /*  1 BIT-STRING?                                  Primitive  0x2b in bitstr.c */,
  Prim_bitstr_find_next_set_bit        /*  3 BIT-SUBSTRING-FIND-NEXT-SET-BIT              Primitive  0x2c in bitstr.c */,
  Prim_bit_substring_move_right_x      /*  5 BIT-SUBSTRING-MOVE-RIGHT!                    Primitive  0x2d in bitstr.c */,
  Prim_catch                           /*  1 CALL-WITH-CURRENT-CONTINUATION               Primitive  0x2e in hooks.c */,
  Prim_car                             /*  1 CAR                                          Primitive  0x2f in list.c */,
  Prim_cdr                             /*  1 CDR                                          Primitive  0x30 in list.c */,
  Prim_cell_contents                   /*  1 CELL-CONTENTS                                Primitive  0x31 in prim.c */,
  Prim_cell_p                          /*  1 CELL?                                        Primitive  0x32 in prim.c */,
  Prim_channel_blocking                /*  1 CHANNEL-BLOCKING                             Primitive  0x33 in prosio.c */,
  Prim_channel_blocking_p              /*  1 CHANNEL-BLOCKING?                            Primitive  0x34 in prosio.c */,
  Prim_channel_close                   /*  1 CHANNEL-CLOSE                                Primitive  0x35 in prosio.c */,
  Prim_channel_nonblocking             /*  1 CHANNEL-NONBLOCKING                          Primitive  0x36 in prosio.c */,
  Prim_channel_read                    /*  4 CHANNEL-READ                                 Primitive  0x37 in prosio.c */,
  Prim_channel_register                /*  1 CHANNEL-REGISTER                             Primitive  0x38 in prosio.c */,
  Prim_channel_registered_p            /*  1 CHANNEL-REGISTERED?                          Primitive  0x39 in prosio.c */,
  Prim_channel_select_then_read        /*  4 CHANNEL-SELECT-THEN-READ                     Primitive  0x3a in prosio.c */,
  Prim_channel_table                   /*  0 CHANNEL-TABLE                                Primitive  0x3b in prosio.c */,
  Prim_channel_type                    /*  1 CHANNEL-TYPE                                 Primitive  0x3c in prosio.c */,
  Prim_channel_unregister              /*  1 CHANNEL-UNREGISTER                           Primitive  0x3d in prosio.c */,
  Prim_channel_write                   /*  4 CHANNEL-WRITE                                Primitive  0x3e in prosio.c */,
  Prim_char_to_ascii                   /*  1 CHAR->ASCII                                  Primitive  0x3f in char.c */,
  Prim_char_to_integer                 /*  1 CHAR->INTEGER                                Primitive  0x40 in char.c */,
  Prim_char_to_syntax_code             /*  2 CHAR->SYNTAX-CODE                            Primitive  0x41 in syntax.c */,
  Prim_char_ascii_p                    /*  1 CHAR-ASCII?                                  Primitive  0x42 in char.c */,
  Prim_char_bits                       /*  1 CHAR-BITS                                    Primitive  0x43 in char.c */,
  Prim_char_code                       /*  1 CHAR-CODE                                    Primitive  0x44 in char.c */,
  Prim_char_downcase                   /*  1 CHAR-DOWNCASE                                Primitive  0x45 in char.c */,
  Prim_char_upcase                     /*  1 CHAR-UPCASE                                  Primitive  0x46 in char.c */,
  Prim_clear_interrupts                /*  1 CLEAR-INTERRUPTS!                            Primitive  0x47 in hooks.c */,
  Prim_close_lost_open_files           /*  1 CLOSE-LOST-OPEN-FILES                        Primitive  0x48 in daemon.c */,
  Prim_coerce_to_closure               /*  2 COERCE-TO-COMPILED-PROCEDURE                 Primitive  0x49 in comutl.c */,
  Prim_compiled_closure_to_entry       /*  1 COMPILED-CLOSURE->ENTRY                      Primitive  0x4a in comutl.c */,
  Prim_comp_code_address_block         /*  1 COMPILED-CODE-ADDRESS->BLOCK                 Primitive  0x4b in comutl.c */,
  Prim_comp_code_address_offset        /*  1 COMPILED-CODE-ADDRESS->OFFSET                Primitive  0x4c in comutl.c */,
  Prim_compiled_entry_type             /*  1 COMPILED-ENTRY-KIND                          Primitive  0x4d in comutl.c */,
  Prim_cons                            /*  2 CONS                                         Primitive  0x4e in list.c */,
  Prim_constant_p                      /*  1 CONSTANT?                                    Primitive  0x4f in purutl.c */,
  Prim_consume_typeahead               /*  0 CONSUME-TYPEAHEAD                            Primitive  0x50 in dosconio.c */,
  Prim_current_day                     /*  0 CURRENT-DAY                                  Primitive  0x51 in prosenv.c */,
  Prim_current_dynamic_state           /*  1 CURRENT-DYNAMIC-STATE                        Primitive  0x52 in hooks.c */,
  Prim_current_file_time               /*  0 CURRENT-FILE-TIME                            Primitive  0x53 in prdosenv.c */,
  Prim_current_gid                     /*  0 CURRENT-GID                                  Primitive  0x54 in prdosenv.c */,
  Prim_current_hour                    /*  0 CURRENT-HOUR                                 Primitive  0x55 in prosenv.c */,
  Prim_current_minute                  /*  0 CURRENT-MINUTE                               Primitive  0x56 in prosenv.c */,
  Prim_current_month                   /*  0 CURRENT-MONTH                                Primitive  0x57 in prosenv.c */,
  Prim_current_second                  /*  0 CURRENT-SECOND                               Primitive  0x58 in prosenv.c */,
  Prim_current_uid                     /*  0 CURRENT-UID                                  Primitive  0x59 in prdosenv.c */,
  Prim_current_user_home_directory     /*  0 CURRENT-USER-HOME-DIRECTORY                  Primitive  0x5a in prosenv.c */,
  Prim_current_user_name               /*  0 CURRENT-USER-NAME                            Primitive  0x5b in prosenv.c */,
  Prim_current_year                    /*  0 CURRENT-YEAR                                 Primitive  0x5c in prosenv.c */,
  Prim_debugging_printer               /*  1 DEBUGGING-PRINTER                            Primitive  0x5d in debug.c */,
  Prim_directory_close                 /*  0 DIRECTORY-CLOSE                              Primitive  0x5e in prosfs.c */,
  Prim_directory_make                  /*  1 DIRECTORY-MAKE                               Primitive  0x5f in prosfs.c */,
  Prim_directory_open                  /*  1 DIRECTORY-OPEN                               Primitive  0x60 in prosfs.c */,
  Prim_directory_open_noread           /*  1 DIRECTORY-OPEN-NOREAD                        Primitive  0x61 in prosfs.c */,
  Prim_directory_read                  /*  0 DIRECTORY-READ                               Primitive  0x62 in prosfs.c */,
  Prim_directory_read_matching         /*  1 DIRECTORY-READ-MATCHING                      Primitive  0x63 in prosfs.c */,
  Prim_disable_interrupts              /*  1 DISABLE-INTERRUPTS!                          Primitive  0x64 in hooks.c */,
  Prim_divide_fixnum                   /*  2 DIVIDE-FIXNUM                                Primitive  0x65 in fixnum.c */,
  Prim_dos_set_kbd_mod_mask            /*  1 DOS-SET-KEYBOARD-MODIFIER-MASK!              Primitive  0x66 in prdosenv.c */,
  Prim_dos_set_keyboard_translation    /*  3 DOS-SET-KEYBOARD-TRANSLATION!                Primitive  0x67 in prdosenv.c */,
  Prim_band_dump                       /*  2 DUMP-BAND                                    Primitive  0x68 in fasdump.c */,
  Prim_enable_interrupts               /*  1 ENABLE-INTERRUPTS!                           Primitive  0x69 in hooks.c */,
  Prim_environment_link_name           /*  3 ENVIRONMENT-LINK-NAME                        Primitive  0x6a in lookprm.c */,
  Prim_eq                              /*  2 EQ?                                          Primitive  0x6b in prim.c */,
  Prim_equal_fixnum                    /*  2 EQUAL-FIXNUM?                                Primitive  0x6c in fixnum.c */,
  Prim_error_procedure                 /*  3 ERROR-PROCEDURE                              Primitive  0x6d in hooks.c */,
  Prim_execute_at_new_point            /*  4 EXECUTE-AT-NEW-STATE-POINT                   Primitive  0x6e in hooks.c */,
  Prim_non_restartable_exit            /*  0 EXIT                                         Primitive  0x6f in sysprim.c */,
  Prim_non_restartable_exit_with_value /*  1 EXIT-WITH-VALUE                              Primitive  0x70 in sysprim.c */,
  Prim_file_access                     /*  2 FILE-ACCESS                                  Primitive  0x71 in prosfs.c */,
  Prim_file_attributes                 /*  1 FILE-ATTRIBUTES                              Primitive  0x72 in prdosfs.c */,
  Prim_file_attributes_indirect        /*  1 FILE-ATTRIBUTES-INDIRECT                     Primitive  0x73 in prdosfs.c */,
  Prim_file_copy                       /*  2 FILE-COPY                                    Primitive  0x74 in prosfs.c */,
  Prim_file_directory_p                /*  1 FILE-DIRECTORY?                              Primitive  0x75 in prosfs.c */,
  Prim_file_eq_p                       /*  2 FILE-EQ?                                     Primitive  0x76 in prdosfs.c */,
  Prim_file_exists_p                   /*  1 FILE-EXISTS?                                 Primitive  0x77 in prosfs.c */,
  Prim_file_length                     /*  1 FILE-LENGTH-NEW                              Primitive  0x78 in prosfile.c */,
  Prim_file_link_hard                  /*  2 FILE-LINK-HARD                               Primitive  0x79 in prosfs.c */,
  Prim_file_link_soft                  /*  2 FILE-LINK-SOFT                               Primitive  0x7a in prosfs.c */,
  Prim_file_mod_time                   /*  1 FILE-MOD-TIME                                Primitive  0x7b in prdosfs.c */,
  Prim_file_mod_time_indirect          /*  1 FILE-MOD-TIME-INDIRECT                       Primitive  0x7c in prdosfs.c */,
  Prim_file_modes                      /*  1 FILE-MODES                                   Primitive  0x7d in prdosfs.c */,
  Prim_file_open_append_channel        /*  1 FILE-OPEN-APPEND-CHANNEL                     Primitive  0x7e in prosfile.c */,
  Prim_file_open_binary_input_channel  /*  1 FILE-OPEN-BINARY-INPUT-CHANNEL               Primitive  0x7f in prosfile.c */,
  Prim_file_open_binary_output_channel /*  1 FILE-OPEN-BINARY-OUTPUT-CHANNEL              Primitive  0x80 in prosfile.c */,
  Prim_file_open_channel               /*  2 FILE-OPEN-CHANNEL                            Primitive  0x81 in prosfile.c */,
  Prim_file_open_input_channel         /*  1 FILE-OPEN-INPUT-CHANNEL                      Primitive  0x82 in prosfile.c */,
  Prim_file_open_io_channel            /*  1 FILE-OPEN-IO-CHANNEL                         Primitive  0x83 in prosfile.c */,
  Prim_file_open_output_channel        /*  1 FILE-OPEN-OUTPUT-CHANNEL                     Primitive  0x84 in prosfile.c */,
  Prim_file_position                   /*  1 FILE-POSITION                                Primitive  0x85 in prosfile.c */,
  Prim_file_remove                     /*  1 FILE-REMOVE                                  Primitive  0x86 in prosfs.c */,
  Prim_file_remove_link                /*  1 FILE-REMOVE-LINK                             Primitive  0x87 in prosfs.c */,
  Prim_file_rename                     /*  2 FILE-RENAME                                  Primitive  0x88 in prosfs.c */,
  Prim_file_set_position               /*  2 FILE-SET-POSITION                            Primitive  0x89 in prosfile.c */,
  Prim_file_soft_link_p                /*  1 FILE-SOFT-LINK?                              Primitive  0x8a in prosfs.c */,
  Prim_file_time_to_string             /*  1 FILE-TIME->STRING                            Primitive  0x8b in prdosenv.c */,
  Prim_file_touch                      /*  1 FILE-TOUCH                                   Primitive  0x8c in prdosfs.c */,
  Prim_find_symbol                     /*  1 FIND-SYMBOL                                  Primitive  0x8d in intern.c */,
  Prim_fixnum_to_bignum                /*  1 FIXNUM->BIGNUM                               Primitive  0x8e in bigprm.c */,
  Prim_fixnum_and                      /*  2 FIXNUM-AND                                   Primitive  0x8f in fixnum.c */,
  Prim_fixnum_andc                     /*  2 FIXNUM-ANDC                                  Primitive  0x90 in fixnum.c */,
  Prim_fixnum_lsh                      /*  2 FIXNUM-LSH                                   Primitive  0x91 in fixnum.c */,
  Prim_fixnum_negate                   /*  1 FIXNUM-NEGATE                                Primitive  0x92 in fixnum.c */,
  Prim_fixnum_not                      /*  1 FIXNUM-NOT                                   Primitive  0x93 in fixnum.c */,
  Prim_fixnum_or                       /*  2 FIXNUM-OR                                    Primitive  0x94 in fixnum.c */,
  Prim_fixnum_quotient                 /*  2 FIXNUM-QUOTIENT                              Primitive  0x95 in fixnum.c */,
  Prim_fixnum_remainder                /*  2 FIXNUM-REMAINDER                             Primitive  0x96 in fixnum.c */,
  Prim_fixnum_xor                      /*  2 FIXNUM-XOR                                   Primitive  0x97 in fixnum.c */,
  Prim_floating_vector_cons            /*  1 FLOATING-VECTOR-CONS                         Primitive  0x98 in dfloat.c */,
  Prim_floating_vector_length          /*  1 FLOATING-VECTOR-LENGTH                       Primitive  0x99 in dfloat.c */,
  Prim_floating_vector_ref             /*  2 FLOATING-VECTOR-REF                          Primitive  0x9a in dfloat.c */,
  Prim_floating_vector_set             /*  3 FLOATING-VECTOR-SET!                         Primitive  0x9b in dfloat.c */,
  Prim_flonum_to_bignum                /*  1 FLONUM->BIGNUM                               Primitive  0x9c in bigprm.c */,
  Prim_flonum_abs                      /*  1 FLONUM-ABS                                   Primitive  0x9d in flonum.c */,
  Prim_flonum_acos                     /*  1 FLONUM-ACOS                                  Primitive  0x9e in flonum.c */,
  Prim_flonum_add                      /*  2 FLONUM-ADD                                   Primitive  0x9f in flonum.c */,
  Prim_flonum_asin                     /*  1 FLONUM-ASIN                                  Primitive  0xa0 in flonum.c */,
  Prim_flonum_atan                     /*  1 FLONUM-ATAN                                  Primitive  0xa1 in flonum.c */,
  Prim_flonum_atan2                    /*  2 FLONUM-ATAN2                                 Primitive  0xa2 in flonum.c */,
  Prim_flonum_ceiling                  /*  1 FLONUM-CEILING                               Primitive  0xa3 in flonum.c */,
  Prim_flonum_ceiling_to_exact         /*  1 FLONUM-CEILING->EXACT                        Primitive  0xa4 in flonum.c */,
  Prim_flonum_cos                      /*  1 FLONUM-COS                                   Primitive  0xa5 in flonum.c */,
  Prim_flonum_denormalize              /*  2 FLONUM-DENORMALIZE                           Primitive  0xa6 in flonum.c */,
  Prim_flonum_divide                   /*  2 FLONUM-DIVIDE                                Primitive  0xa7 in flonum.c */,
  Prim_flonum_equal_p                  /*  2 FLONUM-EQUAL?                                Primitive  0xa8 in flonum.c */,
  Prim_flonum_exp                      /*  1 FLONUM-EXP                                   Primitive  0xa9 in flonum.c */,
  Prim_flonum_expt                     /*  2 FLONUM-EXPT                                  Primitive  0xaa in flonum.c */,
  Prim_flonum_floor                    /*  1 FLONUM-FLOOR                                 Primitive  0xab in flonum.c */,
  Prim_flonum_floor_to_exact           /*  1 FLONUM-FLOOR->EXACT                          Primitive  0xac in flonum.c */,
  Prim_flonum_greater_p                /*  2 FLONUM-GREATER?                              Primitive  0xad in flonum.c */,
  Prim_flonum_integer_p                /*  1 FLONUM-INTEGER?                              Primitive  0xae in flonum.c */,
  Prim_flonum_less_p                   /*  2 FLONUM-LESS?                                 Primitive  0xaf in flonum.c */,
  Prim_flonum_log                      /*  1 FLONUM-LOG                                   Primitive  0xb0 in flonum.c */,
  Prim_flonum_multiply                 /*  2 FLONUM-MULTIPLY                              Primitive  0xb1 in flonum.c */,
  Prim_flonum_negate                   /*  1 FLONUM-NEGATE                                Primitive  0xb2 in flonum.c */,
  Prim_flonum_negative_p               /*  1 FLONUM-NEGATIVE?                             Primitive  0xb3 in flonum.c */,
  Prim_flonum_normalize                /*  1 FLONUM-NORMALIZE                             Primitive  0xb4 in flonum.c */,
  Prim_flonum_positive_p               /*  1 FLONUM-POSITIVE?                             Primitive  0xb5 in flonum.c */,
  Prim_flonum_round                    /*  1 FLONUM-ROUND                                 Primitive  0xb6 in flonum.c */,
  Prim_flonum_round_to_exact           /*  1 FLONUM-ROUND->EXACT                          Primitive  0xb7 in flonum.c */,
  Prim_flonum_sin                      /*  1 FLONUM-SIN                                   Primitive  0xb8 in flonum.c */,
  Prim_flonum_sqrt                     /*  1 FLONUM-SQRT                                  Primitive  0xb9 in flonum.c */,
  Prim_flonum_subtract                 /*  2 FLONUM-SUBTRACT                              Primitive  0xba in flonum.c */,
  Prim_flonum_tan                      /*  1 FLONUM-TAN                                   Primitive  0xbb in flonum.c */,
  Prim_flonum_truncate                 /*  1 FLONUM-TRUNCATE                              Primitive  0xbc in flonum.c */,
  Prim_flonum_truncate_to_exact        /*  1 FLONUM-TRUNCATE->EXACT                       Primitive  0xbd in flonum.c */,
  Prim_flonum_zero_p                   /*  1 FLONUM-ZERO?                                 Primitive  0xbe in flonum.c */,
  Prim_flonum_p                        /*  1 FLONUM?                                      Primitive  0xbf in flonum.c */,
  Prim_force                           /*  1 FORCE                                        Primitive  0xc0 in hooks.c */,
  Prim_full_hostname                   /*  0 FULL-HOSTNAME                                Primitive  0xc1 in prdosenv.c */,
  Prim_garbage_collect                 /*  1 GARBAGE-COLLECT                              Primitive  0xc2 in memmag.c */,
  Prim_gc_space_status                 /*  0 GC-SPACE-STATUS                              Primitive  0xc3 in sysprim.c */,
  Prim_gcd_fixnum                      /*  2 GCD-FIXNUM                                   Primitive  0xc4 in fixnum.c */,
  Prim_general_car_cdr                 /*  2 GENERAL-CAR-CDR                              Primitive  0xc5 in list.c */,
  Prim_get_command_line                /*  0 GET-COMMAND-LINE                             Primitive  0xc6 in boot.c */,
  Prim_get_decoded_time                /*  1 GET-DECODED-TIME                             Primitive  0xc7 in prosenv.c */,
  Prim_get_environment_variable        /*  1 GET-ENVIRONMENT-VARIABLE                     Primitive  0xc8 in prosenv.c */,
  Prim_get_fixed_objects_vector        /*  0 GET-FIXED-OBJECTS-VECTOR                     Primitive  0xc9 in hooks.c */,
  Prim_get_fluid_bindings              /*  0 GET-FLUID-BINDINGS                           Primitive  0xca in hooks.c */,
  Prim_get_interrupt_enables           /*  0 GET-INTERRUPT-ENABLES                        Primitive  0xcb in hooks.c */,
  Prim_get_next_constant               /*  0 GET-NEXT-CONSTANT                            Primitive  0xcc in purutl.c */,
  Prim_get_primitive_address           /*  2 GET-PRIMITIVE-ADDRESS                        Primitive  0xcd in extern.c */,
  Prim_get_primitive_counts            /*  0 GET-PRIMITIVE-COUNTS                         Primitive  0xce in extern.c */,
  Prim_get_primitive_name              /*  1 GET-PRIMITIVE-NAME                           Primitive  0xcf in extern.c */,
  Prim_get_unused_command_line         /*  0 GET-UNUSED-COMMAND-LINE                      Primitive  0xd0 in boot.c */,
  Prim_get_user_home_directory         /*  1 GET-USER-HOME-DIRECTORY                      Primitive  0xd1 in prdosenv.c */,
  Prim_gid_to_string                   /*  1 GID->STRING                                  Primitive  0xd2 in prdosenv.c */,
  Prim_greater_fixnum                  /*  2 GREATER-THAN-FIXNUM?                         Primitive  0xd3 in fixnum.c */,
  Prim_restartable_exit                /*  0 HALT                                         Primitive  0xd4 in sysprim.c */,
  Prim_have_ptys_p                     /*  0 HAVE-PTYS?                                   Primitive  0xd5 in prosterm.c */,
  Prim_hostname                        /*  0 HOSTNAME                                     Primitive  0xd6 in prdosenv.c */,
  Prim_hunk3_cons                      /*  3 HUNK3-CONS                                   Primitive  0xd7 in hunk.c */,
  Prim_hunk3_cxr                       /*  2 HUNK3-CXR                                    Primitive  0xd8 in hunk.c */,
  Prim_hunk3_set_cxr                   /*  3 HUNK3-SET-CXR!                               Primitive  0xd9 in hunk.c */,
  Prim_integer_to_char                 /*  1 INTEGER->CHAR                                Primitive  0xda in char.c */,
  Prim_integer_to_flonum               /*  2 INTEGER->FLONUM                              Primitive  0xdb in intprm.c */,
  Prim_integer_add                     /*  2 INTEGER-ADD                                  Primitive  0xdc in intprm.c */,
  Prim_integer_add_1                   /*  1 INTEGER-ADD-1                                Primitive  0xdd in intprm.c */,
  Prim_integer_divide                  /*  2 INTEGER-DIVIDE                               Primitive  0xde in intprm.c */,
  Prim_integer_equal_p                 /*  2 INTEGER-EQUAL?                               Primitive  0xdf in intprm.c */,
  Prim_integer_greater_p               /*  2 INTEGER-GREATER?                             Primitive  0xe0 in intprm.c */,
  Prim_integer_less_p                  /*  2 INTEGER-LESS?                                Primitive  0xe1 in intprm.c */,
  Prim_integer_multiply                /*  2 INTEGER-MULTIPLY                             Primitive  0xe2 in intprm.c */,
  Prim_integer_negate                  /*  1 INTEGER-NEGATE                               Primitive  0xe3 in intprm.c */,
  Prim_integer_negative_p              /*  1 INTEGER-NEGATIVE?                            Primitive  0xe4 in intprm.c */,
  Prim_integer_positive_p              /*  1 INTEGER-POSITIVE?                            Primitive  0xe5 in intprm.c */,
  Prim_integer_quotient                /*  2 INTEGER-QUOTIENT                             Primitive  0xe6 in intprm.c */,
  Prim_integer_remainder               /*  2 INTEGER-REMAINDER                            Primitive  0xe7 in intprm.c */,
  Prim_integer_subtract                /*  2 INTEGER-SUBTRACT                             Primitive  0xe8 in intprm.c */,
  Prim_integer_subtract_1              /*  1 INTEGER-SUBTRACT-1                           Primitive  0xe9 in intprm.c */,
  Prim_integer_zero_p                  /*  1 INTEGER-ZERO?                                Primitive  0xea in intprm.c */,
  Prim_integer_p                       /*  1 INTEGER?                                     Primitive  0xeb in intprm.c */,
  Prim_keyboard_get_conversion         /*  1 KEYBOARD-GET-CONVERSION                      Primitive  0xec in dosconio.c */,
  Prim_keyboard_set_conversion         /*  2 KEYBOARD-SET-CONVERSION!                     Primitive  0xed in dosconio.c */,
  Prim_length                          /*  1 LENGTH                                       Primitive  0xee in list.c */,
  Prim_less_fixnum                     /*  2 LESS-THAN-FIXNUM?                            Primitive  0xef in fixnum.c */,
  Prim_lexical_assignment              /*  3 LEXICAL-ASSIGNMENT                           Primitive  0xf0 in lookprm.c */,
  Prim_lexical_reference               /*  2 LEXICAL-REFERENCE                            Primitive  0xf1 in lookprm.c */,
  Prim_unassigned_test                 /*  2 LEXICAL-UNASSIGNED?                          Primitive  0xf2 in lookprm.c */,
  Prim_unbound_test                    /*  2 LEXICAL-UNBOUND?                             Primitive  0xf3 in lookprm.c */,
  Prim_unreferenceable_test            /*  2 LEXICAL-UNREFERENCEABLE?                     Primitive  0xf4 in lookprm.c */,
  Prim_link_file                       /*  3 LINK-FILE                                    Primitive  0xf5 in prosfs.c */,
  Prim_list_to_vector                  /*  1 LIST->VECTOR                                 Primitive  0xf6 in vector.c */,
  Prim_listify_bignum                  /*  2 LISTIFY-BIGNUM                               Primitive  0xf7 in bigprm.c */,
  Prim_band_load                       /*  1 LOAD-BAND                                    Primitive  0xf8 in fasload.c */,
  Prim_local_assignment                /*  3 LOCAL-ASSIGNMENT                             Primitive  0xf9 in lookprm.c */,
  Prim_local_reference                 /*  2 LOCAL-REFERENCE                              Primitive  0xfa in lookprm.c */,
  Prim_make_bit_string                 /*  2 MAKE-BIT-STRING                              Primitive  0xfb in bitstr.c */,
  Prim_make_cell                       /*  1 MAKE-CELL                                    Primitive  0xfc in prim.c */,
  Prim_make_char                       /*  2 MAKE-CHAR                                    Primitive  0xfd in char.c */,
  Prim_make_non_pointer_object         /*  1 MAKE-NON-POINTER-OBJECT                      Primitive  0xfe in prim.c */,
  Prim_make_pipe                       /*  0 MAKE-PIPE                                    Primitive  0xff in prosio.c */,
  Prim_make_state_space                /*  1 MAKE-STATE-SPACE                             Primitive 0x100 in hooks.c */,
  Prim_map_code_to_address             /*  2 MAP-CODE-TO-MACHINE-ADDRESS                  Primitive 0x101 in extern.c */,
  Prim_map_address_to_code             /*  2 MAP-MACHINE-ADDRESS-TO-CODE                  Primitive 0x102 in extern.c */,
  Prim_memq                            /*  2 MEMQ                                         Primitive 0x103 in list.c */,
  Prim_microcode_identify              /*  0 MICROCODE-IDENTIFY                           Primitive 0x104 in boot.c */,
  Prim_microcode_library_path          /*  0 MICROCODE-LIBRARY-PATH                       Primitive 0x105 in boot.c */,
  Prim_microcode_tables_filename       /*  0 MICROCODE-TABLES-FILENAME                    Primitive 0x106 in boot.c */,
  Prim_minus_fixnum                    /*  2 MINUS-FIXNUM                                 Primitive 0x107 in fixnum.c */,
  Prim_m_1_plus_fixnum                 /*  1 MINUS-ONE-PLUS-FIXNUM                        Primitive 0x108 in fixnum.c */,
  Prim_modulo                          /*  2 MODULO                                       Primitive 0x109 in generic.c */,
  Prim_multiply_fixnum                 /*  2 MULTIPLY-FIXNUM                              Primitive 0x10a in fixnum.c */,
  Prim_negative_fixnum                 /*  1 NEGATIVE-FIXNUM?                             Primitive 0x10b in fixnum.c */,
  Prim_negative                        /*  1 NEGATIVE?                                    Primitive 0x10c in generic.c */,
  Prim_new_directory_close             /*  1 NEW-DIRECTORY-CLOSE                          Primitive 0x10d in prosfs.c */,
  Prim_new_directory_open              /*  1 NEW-DIRECTORY-OPEN                           Primitive 0x10e in prosfs.c */,
  Prim_new_directory_read              /*  1 NEW-DIRECTORY-READ                           Primitive 0x10f in prosfs.c */,
  Prim_new_directory_read_match        /*  2 NEW-DIRECTORY-READ-MATCHING                  Primitive 0x110 in prosfs.c */,
  Prim_non_reentrant_catch             /*  1 NON-REENTRANT-CALL-WITH-CURRENT-CONTINUATION Primitive 0x111 in hooks.c */,
  Prim_not                             /*  1 NOT                                          Primitive 0x112 in prim.c */,
  Prim_object_datum                    /*  1 OBJECT-DATUM                                 Primitive 0x113 in prim.c */,
  Prim_object_gc_type                  /*  1 OBJECT-GC-TYPE                               Primitive 0x114 in prim.c */,
  Prim_object_set_type                 /*  2 OBJECT-SET-TYPE                              Primitive 0x115 in prim.c */,
  Prim_object_type                     /*  1 OBJECT-TYPE                                  Primitive 0x116 in prim.c */,
  Prim_object_type_p                   /*  2 OBJECT-TYPE?                                 Primitive 0x117 in prim.c */,
  Prim_one_plus_fixnum                 /*  1 ONE-PLUS-FIXNUM                              Primitive 0x118 in fixnum.c */,
  Prim_os_job_control_p                /*  0 OS-JOB-CONTROL?                              Primitive 0x119 in prosterm.c */,
  Prim_pair                            /*  1 PAIR?                                        Primitive 0x11a in list.c */,
  Prim_plus_fixnum                     /*  2 PLUS-FIXNUM                                  Primitive 0x11b in fixnum.c */,
  Prim_positive_fixnum                 /*  1 POSITIVE-FIXNUM?                             Primitive 0x11c in fixnum.c */,
  Prim_positive                        /*  1 POSITIVE?                                    Primitive 0x11d in generic.c */,
  Prim_apply_step                      /*  3 PRIMITIVE-APPLY-STEP                         Primitive 0x11e in step.c */,
  Prim_eval_step                       /*  3 PRIMITIVE-EVAL-STEP                          Primitive 0x11f in step.c */,
  Prim_prim_fasdump                    /*  3 PRIMITIVE-FASDUMP                            Primitive 0x120 in fasdump.c */,
  Prim_impurify                        /*  1 PRIMITIVE-IMPURIFY                           Primitive 0x121 in purutl.c */,
  Prim_prim_obj_datum                  /*  1 PRIMITIVE-OBJECT-DATUM                       Primitive 0x122 in prim.c */,
  Prim_prim_obj_eq_p                   /*  2 PRIMITIVE-OBJECT-EQ?                         Primitive 0x123 in prim.c */,
  Prim_prim_obj_gc_type                /*  1 PRIMITIVE-OBJECT-GC-TYPE                     Primitive 0x124 in prim.c */,
  Prim_prim_obj_ref                    /*  2 PRIMITIVE-OBJECT-REF                         Primitive 0x125 in prim.c */,
  Prim_prim_obj_set                    /*  3 PRIMITIVE-OBJECT-SET!                        Primitive 0x126 in prim.c */,
  Prim_prim_obj_set_type               /*  2 PRIMITIVE-OBJECT-SET-TYPE                    Primitive 0x127 in prim.c */,
  Prim_prim_obj_type                   /*  1 PRIMITIVE-OBJECT-TYPE                        Primitive 0x128 in prim.c */,
  Prim_prim_obj_type_p                 /*  2 PRIMITIVE-OBJECT-TYPE?                       Primitive 0x129 in prim.c */,
  Prim_primitive_procedure_arity       /*  1 PRIMITIVE-PROCEDURE-ARITY                    Primitive 0x12a in extern.c */,
  Prim_primitive_procedure_doc         /*  1 PRIMITIVE-PROCEDURE-DOCUMENTATION            Primitive 0x12b in extern.c */,
  Prim_primitive_purify                /*  3 PRIMITIVE-PURIFY                             Primitive 0x12c in purify.c */,
  Prim_return_step                     /*  2 PRIMITIVE-RETURN-STEP                        Primitive 0x12d in step.c */,
  Prim_process_timer_clear             /*  0 PROCESS-TIMER-CLEAR                          Primitive 0x12e in prosenv.c */,
  Prim_process_timer_set               /*  2 PROCESS-TIMER-SET                            Primitive 0x12f in prosenv.c */,
  Prim_pure_p                          /*  1 PURE?                                        Primitive 0x130 in purutl.c */,
  Prim_quoted_char_p                   /*  4 QUOTED-CHAR?                                 Primitive 0x131 in syntax.c */,
  Prim_quotient                        /*  2 QUOTIENT                                     Primitive 0x132 in generic.c */,
  Prim_re_char_set_adjoin              /*  2 RE-CHAR-SET-ADJOIN!                          Primitive 0x133 in rgxprim.c */,
  Prim_re_compile_fastmap              /*  4 RE-COMPILE-FASTMAP                           Primitive 0x134 in rgxprim.c */,
  Prim_re_match_buffer                 /*  7 RE-MATCH-BUFFER                              Primitive 0x135 in rgxprim.c */,
  Prim_re_match_substring              /*  7 RE-MATCH-SUBSTRING                           Primitive 0x136 in rgxprim.c */,
  Prim_re_search_buffer_backward       /*  7 RE-SEARCH-BUFFER-BACKWARD                    Primitive 0x137 in rgxprim.c */,
  Prim_re_search_buffer_forward        /*  7 RE-SEARCH-BUFFER-FORWARD                     Primitive 0x138 in rgxprim.c */,
  Prim_re_search_substr_backward       /*  7 RE-SEARCH-SUBSTRING-BACKWARD                 Primitive 0x139 in rgxprim.c */,
  Prim_re_search_substr_forward        /*  7 RE-SEARCH-SUBSTRING-FORWARD                  Primitive 0x13a in rgxprim.c */,
  Prim_read_bits_x                     /*  3 READ-BITS!                                   Primitive 0x13b in bitstr.c */,
  Prim_real_time_clock                 /*  0 REAL-TIME-CLOCK                              Primitive 0x13c in prosenv.c */,
  Prim_real_timer_clear                /*  0 REAL-TIMER-CLEAR                             Primitive 0x13d in prosenv.c */,
  Prim_real_timer_set                  /*  2 REAL-TIMER-SET                               Primitive 0x13e in prosenv.c */,
  Prim_rehash                          /*  2 REHASH                                       Primitive 0x13f in daemon.c */,
  Prim_reload_band_name                /*  0 RELOAD-BAND-NAME                             Primitive 0x140 in fasload.c */,
  Prim_reload_retrieve_string          /*  0 RELOAD-RETRIEVE-STRING                       Primitive 0x141 in boot.c */,
  Prim_reload_save_string              /*  1 RELOAD-SAVE-STRING                           Primitive 0x142 in boot.c */,
  Prim_remainder                       /*  2 REMAINDER                                    Primitive 0x143 in generic.c */,
  Prim_return_to_application           /* -1 RETURN-TO-APPLICATION                        Primitive 0x144 in hooks.c */,
  Prim_scan_backward_prefix_chars      /*  4 SCAN-BACKWARD-PREFIX-CHARS                   Primitive 0x145 in syntax.c */,
  Prim_scan_forward_prefix_chars       /*  4 SCAN-FORWARD-PREFIX-CHARS                    Primitive 0x146 in syntax.c */,
  Prim_scan_forward_to_word            /*  4 SCAN-FORWARD-TO-WORD                         Primitive 0x147 in syntax.c */,
  Prim_scan_list_backward              /*  7 SCAN-LIST-BACKWARD                           Primitive 0x148 in syntax.c */,
  Prim_scan_list_forward               /*  7 SCAN-LIST-FORWARD                            Primitive 0x149 in syntax.c */,
  Prim_scan_sexps_forward              /*  7 SCAN-SEXPS-FORWARD                           Primitive 0x14a in syntax.c */,
  Prim_scan_word_backward              /*  4 SCAN-WORD-BACKWARD                           Primitive 0x14b in syntax.c */,
  Prim_scan_word_forward               /*  4 SCAN-WORD-FORWARD                            Primitive 0x14c in syntax.c */,
  Prim_scode_eval                      /*  2 SCODE-EVAL                                   Primitive 0x14d in hooks.c */,
  Prim_set_car                         /*  2 SET-CAR!                                     Primitive 0x14e in list.c */,
  Prim_set_cdr                         /*  2 SET-CDR!                                     Primitive 0x14f in list.c */,
  Prim_set_cell_contents               /*  2 SET-CELL-CONTENTS!                           Primitive 0x150 in prim.c */,
  Prim_set_dynamic_state               /*  1 SET-CURRENT-DYNAMIC-STATE!                   Primitive 0x151 in hooks.c */,
  Prim_set_current_history             /*  1 SET-CURRENT-HISTORY!                         Primitive 0x152 in hooks.c */,
  Prim_set_file_modes                  /*  2 SET-FILE-MODES!                              Primitive 0x153 in prdosfs.c */,
  Prim_set_file_times                  /*  3 SET-FILE-TIMES!                              Primitive 0x154 in prdosfs.c */,
  Prim_set_fixed_objects_vector        /*  1 SET-FIXED-OBJECTS-VECTOR!                    Primitive 0x155 in hooks.c */,
  Prim_set_fluid_bindings              /*  1 SET-FLUID-BINDINGS!                          Primitive 0x156 in hooks.c */,
  Prim_set_interrupt_enables           /*  1 SET-INTERRUPT-ENABLES!                       Primitive 0x157 in hooks.c */,
  Prim_set_run_light                   /*  1 SET-RUN-LIGHT!                               Primitive 0x158 in sysprim.c */,
  Prim_set_string_length               /*  2 SET-STRING-LENGTH!                           Primitive 0x159 in string.c */,
  Prim_set_string_maximum_length       /*  2 SET-STRING-MAXIMUM-LENGTH!                   Primitive 0x15a in string.c */,
  Prim_set_trap_state                  /*  1 SET-TRAP-STATE!                              Primitive 0x15b in sysprim.c */,
  Prim_set_working_dir_pathname        /*  1 SET-WORKING-DIRECTORY-PATHNAME!              Primitive 0x15c in prosenv.c */,
  Prim_setup_timer_interrupt           /*  2 SETUP-TIMER-INTERRUPT                        Primitive 0x15d in prosenv.c */,
  Prim_stack_address_offset            /*  1 STACK-ADDRESS-OFFSET                         Primitive 0x15e in comutl.c */,
  Prim_stack_top_address               /*  0 STACK-TOP-ADDRESS                            Primitive 0x15f in comutl.c */,
  Prim_string_to_symbol                /*  1 STRING->SYMBOL                               Primitive 0x160 in intern.c */,
  Prim_string_to_syntax_entry          /*  1 STRING->SYNTAX-ENTRY                         Primitive 0x161 in syntax.c */,
  Prim_string_allocate                 /*  1 STRING-ALLOCATE                              Primitive 0x162 in string.c */,
  Prim_string_hash                     /*  1 STRING-HASH                                  Primitive 0x163 in intern.c */,
  Prim_string_hash_mod                 /*  2 STRING-HASH-MOD                              Primitive 0x164 in intern.c */,
  Prim_string_length                   /*  1 STRING-LENGTH                                Primitive 0x165 in string.c */,
  Prim_string_maximum_length           /*  1 STRING-MAXIMUM-LENGTH                        Primitive 0x166 in string.c */,
  Prim_string_ref                      /*  2 STRING-REF                                   Primitive 0x167 in string.c */,
  Prim_string_set                      /*  3 STRING-SET!                                  Primitive 0x168 in string.c */,
  Prim_string_p                        /*  1 STRING?                                      Primitive 0x169 in string.c */,
  Prim_substring_ci_equal              /*  6 SUBSTRING-CI=?                               Primitive 0x16a in string.c */,
  Prim_substring_downcase              /*  3 SUBSTRING-DOWNCASE!                          Primitive 0x16b in string.c */,
  Prim_find_next_char_in_set           /*  4 SUBSTRING-FIND-NEXT-CHAR-IN-SET              Primitive 0x16c in string.c */,
  Prim_find_prev_char_in_set           /*  4 SUBSTRING-FIND-PREVIOUS-CHAR-IN-SET          Primitive 0x16d in string.c */,
  Prim_match_backward                  /*  6 SUBSTRING-MATCH-BACKWARD                     Primitive 0x16e in string.c */,
  Prim_match_backward_ci               /*  6 SUBSTRING-MATCH-BACKWARD-CI                  Primitive 0x16f in string.c */,
  Prim_match_forward                   /*  6 SUBSTRING-MATCH-FORWARD                      Primitive 0x170 in string.c */,
  Prim_match_forward_ci                /*  6 SUBSTRING-MATCH-FORWARD-CI                   Primitive 0x171 in string.c */,
  Prim_substring_move_left             /*  5 SUBSTRING-MOVE-LEFT!                         Primitive 0x172 in string.c */,
  Prim_substring_move_right            /*  5 SUBSTRING-MOVE-RIGHT!                        Primitive 0x173 in string.c */,
  Prim_substring_upcase                /*  3 SUBSTRING-UPCASE!                            Primitive 0x174 in string.c */,
  Prim_substring_less                  /*  6 SUBSTRING<?                                  Primitive 0x175 in string.c */,
  Prim_substring_equal                 /*  6 SUBSTRING=?                                  Primitive 0x176 in string.c */,
  Prim_subvector_to_list               /*  3 SUBVECTOR->LIST                              Primitive 0x177 in vector.c */,
  Prim_vector_fill                     /*  4 SUBVECTOR-FILL!                              Primitive 0x178 in vector.c */,
  Prim_subvector_move_left             /*  5 SUBVECTOR-MOVE-LEFT!                         Primitive 0x179 in vector.c */,
  Prim_subvector_move_right            /*  5 SUBVECTOR-MOVE-RIGHT!                        Primitive 0x17a in vector.c */,
  Prim_system                          /*  1 SYSTEM                                       Primitive 0x17b in prdosenv.c */,
  Prim_system_call_error_message       /*  1 SYSTEM-CALL-ERROR-MESSAGE                    Primitive 0x17c in prosenv.c */,
  Prim_system_clock                    /*  0 SYSTEM-CLOCK                                 Primitive 0x17d in prosenv.c */,
  Prim_sys_h3_0                        /*  1 SYSTEM-HUNK3-CXR0                            Primitive 0x17e in hunk.c */,
  Prim_sys_h3_1                        /*  1 SYSTEM-HUNK3-CXR1                            Primitive 0x17f in hunk.c */,
  Prim_sys_h3_2                        /*  1 SYSTEM-HUNK3-CXR2                            Primitive 0x180 in hunk.c */,
  Prim_sh3_set_0                       /*  2 SYSTEM-HUNK3-SET-CXR0!                       Primitive 0x181 in hunk.c */,
  Prim_sh3_set_1                       /*  2 SYSTEM-HUNK3-SET-CXR1!                       Primitive 0x182 in hunk.c */,
  Prim_sh3_set_2                       /*  2 SYSTEM-HUNK3-SET-CXR2!                       Primitive 0x183 in hunk.c */,
  Prim_sys_list_to_vector              /*  2 SYSTEM-LIST-TO-VECTOR                        Primitive 0x184 in vector.c */,
  Prim_sys_pair_car                    /*  1 SYSTEM-PAIR-CAR                              Primitive 0x185 in list.c */,
  Prim_sys_pair_cdr                    /*  1 SYSTEM-PAIR-CDR                              Primitive 0x186 in list.c */,
  Prim_sys_pair_cons                   /*  3 SYSTEM-PAIR-CONS                             Primitive 0x187 in list.c */,
  Prim_sys_set_car                     /*  2 SYSTEM-PAIR-SET-CAR!                         Primitive 0x188 in list.c */,
  Prim_sys_set_cdr                     /*  2 SYSTEM-PAIR-SET-CDR!                         Primitive 0x189 in list.c */,
  Prim_sys_pair                        /*  1 SYSTEM-PAIR?                                 Primitive 0x18a in list.c */,
  Prim_sys_subvector_to_list           /*  3 SYSTEM-SUBVECTOR-TO-LIST                     Primitive 0x18b in vector.c */,
  Prim_sys_vector_ref                  /*  2 SYSTEM-VECTOR-REF                            Primitive 0x18c in vector.c */,
  Prim_sys_vec_set                     /*  3 SYSTEM-VECTOR-SET!                           Primitive 0x18d in vector.c */,
  Prim_sys_vec_size                    /*  1 SYSTEM-VECTOR-SIZE                           Primitive 0x18e in vector.c */,
  Prim_sys_vector                      /*  1 SYSTEM-VECTOR?                               Primitive 0x18f in vector.c */,
  Prim_termcap_goto_string             /*  5 TERMCAP-GOTO-STRING                          Primitive 0x190 in dostterm.c */,
  Prim_termcap_pad_string              /*  4 TERMCAP-PAD-STRING                           Primitive 0x191 in dostterm.c */,
  Prim_termcap_param_string            /*  5 TERMCAP-PARAM-STRING                         Primitive 0x192 in dostterm.c */,
  Prim_terminal_buffered               /*  1 TERMINAL-BUFFERED                            Primitive 0x193 in prosterm.c */,
  Prim_terminal_buffered_p             /*  1 TERMINAL-BUFFERED?                           Primitive 0x194 in prosterm.c */,
  Prim_terminal_cooked_output          /*  1 TERMINAL-COOKED-OUTPUT                       Primitive 0x195 in prosterm.c */,
  Prim_terminal_cooked_output_p        /*  1 TERMINAL-COOKED-OUTPUT?                      Primitive 0x196 in prosterm.c */,
  Prim_terminal_drain_output           /*  1 TERMINAL-DRAIN-OUTPUT                        Primitive 0x197 in prosterm.c */,
  Prim_terminal_flush_input            /*  1 TERMINAL-FLUSH-INPUT                         Primitive 0x198 in prosterm.c */,
  Prim_terminal_flush_output           /*  1 TERMINAL-FLUSH-OUTPUT                        Primitive 0x199 in prosterm.c */,
  Prim_terminal_get_ispeed             /*  1 TERMINAL-GET-ISPEED                          Primitive 0x19a in prosterm.c */,
  Prim_terminal_get_ospeed             /*  1 TERMINAL-GET-OSPEED                          Primitive 0x19b in prosterm.c */,
  Prim_terminal_get_state              /*  1 TERMINAL-GET-STATE                           Primitive 0x19c in prosterm.c */,
  Prim_terminal_nonbuffered            /*  1 TERMINAL-NONBUFFERED                         Primitive 0x19d in prosterm.c */,
  Prim_terminal_raw_output             /*  1 TERMINAL-RAW-OUTPUT                          Primitive 0x19e in prosterm.c */,
  Prim_terminal_set_state              /*  2 TERMINAL-SET-STATE                           Primitive 0x19f in prosterm.c */,
  Prim_translate_to_point              /*  1 TRANSLATE-TO-STATE-POINT                     Primitive 0x1a0 in hooks.c */,
  Prim_tty_command_beep                /*  0 TTY-COMMAND-BEEP                             Primitive 0x1a1 in prostty.c */,
  Prim_tty_command_clear               /*  0 TTY-COMMAND-CLEAR                            Primitive 0x1a2 in prostty.c */,
  Prim_tty_get_interrupt_chars         /*  0 TTY-GET-INTERRUPT-CHARS                      Primitive 0x1a3 in prostty.c */,
  Prim_tty_get_interrupt_enables       /*  0 TTY-GET-INTERRUPT-ENABLES                    Primitive 0x1a4 in prostty.c */,
  Prim_tty_input_channel               /*  0 TTY-INPUT-CHANNEL                            Primitive 0x1a5 in prostty.c */,
  Prim_tty_next_interrupt_char         /*  0 TTY-NEXT-INTERRUPT-CHAR                      Primitive 0x1a6 in prostty.c */,
  Prim_tty_output_channel              /*  0 TTY-OUTPUT-CHANNEL                           Primitive 0x1a7 in prostty.c */,
  Prim_tty_set_interrupt_chars         /*  1 TTY-SET-INTERRUPT-CHARS!                     Primitive 0x1a8 in prostty.c */,
  Prim_tty_set_interrupt_enables       /*  1 TTY-SET-INTERRUPT-ENABLES                    Primitive 0x1a9 in prostty.c */,
  Prim_tty_x_size                      /*  0 TTY-X-SIZE                                   Primitive 0x1aa in prostty.c */,
  Prim_tty_y_size                      /*  0 TTY-Y-SIZE                                   Primitive 0x1ab in prostty.c */,
  Prim_uid_to_string                   /*  1 UID->STRING                                  Primitive 0x1ac in prdosenv.c */,
  Prim_under_emacs_p                   /*  0 UNDER-EMACS?                                 Primitive 0x1ad in sysprim.c */,
  Prim_unix_environment_alist          /*  0 UNIX-ENVIRONMENT                             Primitive 0x1ae in prdosenv.c */,
  Prim_unsigned_to_bit_string          /*  2 UNSIGNED-INTEGER->BIT-STRING                 Primitive 0x1af in bitstr.c */,
  Prim_vector                          /* -1 VECTOR                                       Primitive 0x1b0 in vector.c */,
  Prim_vec_8b_fill                     /*  4 VECTOR-8B-FILL!                              Primitive 0x1b1 in string.c */,
  Prim_vec_8b_find_next_char           /*  4 VECTOR-8B-FIND-NEXT-CHAR                     Primitive 0x1b2 in string.c */,
  Prim_vec_8b_find_next_char_ci        /*  4 VECTOR-8B-FIND-NEXT-CHAR-CI                  Primitive 0x1b3 in string.c */,
  Prim_vec_8b_find_prev_char           /*  4 VECTOR-8B-FIND-PREVIOUS-CHAR                 Primitive 0x1b4 in string.c */,
  Prim_vec_8b_find_prev_char_ci        /*  4 VECTOR-8B-FIND-PREVIOUS-CHAR-CI              Primitive 0x1b5 in string.c */,
  Prim_vec_8b_ref                      /*  2 VECTOR-8B-REF                                Primitive 0x1b6 in string.c */,
  Prim_vec_8b_set                      /*  3 VECTOR-8B-SET!                               Primitive 0x1b7 in string.c */,
  Prim_vector_cons                     /*  2 VECTOR-CONS                                  Primitive 0x1b8 in vector.c */,
  Prim_vector_size                     /*  1 VECTOR-LENGTH                                Primitive 0x1b9 in vector.c */,
  Prim_vector_ref                      /*  2 VECTOR-REF                                   Primitive 0x1ba in vector.c */,
  Prim_vector_set                      /*  3 VECTOR-SET!                                  Primitive 0x1bb in vector.c */,
  Prim_with_history_disabled           /*  1 WITH-HISTORY-DISABLED                        Primitive 0x1bc in hooks.c */,
  Prim_with_interrupt_mask             /*  2 WITH-INTERRUPT-MASK                          Primitive 0x1bd in hooks.c */,
  Prim_with_interrupts_reduced         /*  2 WITH-INTERRUPTS-REDUCED                      Primitive 0x1be in hooks.c */,
  Prim_with_stack_marker               /*  3 WITH-STACK-MARKER                            Primitive 0x1bf in hooks.c */,
  Prim_within_control_point            /*  2 WITHIN-CONTROL-POINT                         Primitive 0x1c0 in hooks.c */,
  Prim_working_dir_pathname            /*  0 WORKING-DIRECTORY-PATHNAME                   Primitive 0x1c1 in prosenv.c */,
  Prim_write_bits_x                    /*  3 WRITE-BITS!                                  Primitive 0x1c2 in bitstr.c */,
  Prim_zero_fixnum                     /*  1 ZERO-FIXNUM?                                 Primitive 0x1c3 in fixnum.c */,
  Prim_zero                            /*  1 ZERO?                                        Primitive 0x1c4 in generic.c */,
  Prim_inexistent                      /* -1 INEXISTENT-PRIMITIVE                         Primitive   ??? in Findprim.c */
};

char * Primitive_Name_Table [] = {
  "&*",
  "&+",
  "&-",
  "&/",
  "&<",
  "&=",
  "&>",
  "-1+",
  "1+",
  "APPLY",
  "ASCII->CHAR",
  "ASSQ",
  "BAUD-INDEX->RATE",
  "BAUD-RATE->INDEX",
  "BIGNUM->FIXNUM",
  "BIGNUM->FLONUM",
  "BIGNUM-ADD",
  "BIGNUM-DIVIDE",
  "BIGNUM-EQUAL?",
  "BIGNUM-LESS?",
  "BIGNUM-MULTIPLY",
  "BIGNUM-NEGATIVE?",
  "BIGNUM-POSITIVE?",
  "BIGNUM-QUOTIENT",
  "BIGNUM-REMAINDER",
  "BIGNUM-SUBTRACT",
  "BIGNUM-ZERO?",
  "BINARY-FASLOAD",
  "BIT-STRING->UNSIGNED-INTEGER",
  "BIT-STRING-ALLOCATE",
  "BIT-STRING-AND!",
  "BIT-STRING-ANDC!",
  "BIT-STRING-CLEAR!",
  "BIT-STRING-FILL!",
  "BIT-STRING-LENGTH",
  "BIT-STRING-MOVE!",
  "BIT-STRING-MOVEC!",
  "BIT-STRING-OR!",
  "BIT-STRING-REF",
  "BIT-STRING-SET!",
  "BIT-STRING-XOR!",
  "BIT-STRING-ZERO?",
  "BIT-STRING=?",
  "BIT-STRING?",
  "BIT-SUBSTRING-FIND-NEXT-SET-BIT",
  "BIT-SUBSTRING-MOVE-RIGHT!",
  "CALL-WITH-CURRENT-CONTINUATION",
  "CAR",
  "CDR",
  "CELL-CONTENTS",
  "CELL?",
  "CHANNEL-BLOCKING",
  "CHANNEL-BLOCKING?",
  "CHANNEL-CLOSE",
  "CHANNEL-NONBLOCKING",
  "CHANNEL-READ",
  "CHANNEL-REGISTER",
  "CHANNEL-REGISTERED?",
  "CHANNEL-SELECT-THEN-READ",
  "CHANNEL-TABLE",
  "CHANNEL-TYPE",
  "CHANNEL-UNREGISTER",
  "CHANNEL-WRITE",
  "CHAR->ASCII",
  "CHAR->INTEGER",
  "CHAR->SYNTAX-CODE",
  "CHAR-ASCII?",
  "CHAR-BITS",
  "CHAR-CODE",
  "CHAR-DOWNCASE",
  "CHAR-UPCASE",
  "CLEAR-INTERRUPTS!",
  "CLOSE-LOST-OPEN-FILES",
  "COERCE-TO-COMPILED-PROCEDURE",
  "COMPILED-CLOSURE->ENTRY",
  "COMPILED-CODE-ADDRESS->BLOCK",
  "COMPILED-CODE-ADDRESS->OFFSET",
  "COMPILED-ENTRY-KIND",
  "CONS",
  "CONSTANT?",
  "CONSUME-TYPEAHEAD",
  "CURRENT-DAY",
  "CURRENT-DYNAMIC-STATE",
  "CURRENT-FILE-TIME",
  "CURRENT-GID",
  "CURRENT-HOUR",
  "CURRENT-MINUTE",
  "CURRENT-MONTH",
  "CURRENT-SECOND",
  "CURRENT-UID",
  "CURRENT-USER-HOME-DIRECTORY",
  "CURRENT-USER-NAME",
  "CURRENT-YEAR",
  "DEBUGGING-PRINTER",
  "DIRECTORY-CLOSE",
  "DIRECTORY-MAKE",
  "DIRECTORY-OPEN",
  "DIRECTORY-OPEN-NOREAD",
  "DIRECTORY-READ",
  "DIRECTORY-READ-MATCHING",
  "DISABLE-INTERRUPTS!",
  "DIVIDE-FIXNUM",
  "DOS-SET-KEYBOARD-MODIFIER-MASK!",
  "DOS-SET-KEYBOARD-TRANSLATION!",
  "DUMP-BAND",
  "ENABLE-INTERRUPTS!",
  "ENVIRONMENT-LINK-NAME",
  "EQ?",
  "EQUAL-FIXNUM?",
  "ERROR-PROCEDURE",
  "EXECUTE-AT-NEW-STATE-POINT",
  "EXIT",
  "EXIT-WITH-VALUE",
  "FILE-ACCESS",
  "FILE-ATTRIBUTES",
  "FILE-ATTRIBUTES-INDIRECT",
  "FILE-COPY",
  "FILE-DIRECTORY?",
  "FILE-EQ?",
  "FILE-EXISTS?",
  "FILE-LENGTH-NEW",
  "FILE-LINK-HARD",
  "FILE-LINK-SOFT",
  "FILE-MOD-TIME",
  "FILE-MOD-TIME-INDIRECT",
  "FILE-MODES",
  "FILE-OPEN-APPEND-CHANNEL",
  "FILE-OPEN-BINARY-INPUT-CHANNEL",
  "FILE-OPEN-BINARY-OUTPUT-CHANNEL",
  "FILE-OPEN-CHANNEL",
  "FILE-OPEN-INPUT-CHANNEL",
  "FILE-OPEN-IO-CHANNEL",
  "FILE-OPEN-OUTPUT-CHANNEL",
  "FILE-POSITION",
  "FILE-REMOVE",
  "FILE-REMOVE-LINK",
  "FILE-RENAME",
  "FILE-SET-POSITION",
  "FILE-SOFT-LINK?",
  "FILE-TIME->STRING",
  "FILE-TOUCH",
  "FIND-SYMBOL",
  "FIXNUM->BIGNUM",
  "FIXNUM-AND",
  "FIXNUM-ANDC",
  "FIXNUM-LSH",
  "FIXNUM-NEGATE",
  "FIXNUM-NOT",
  "FIXNUM-OR",
  "FIXNUM-QUOTIENT",
  "FIXNUM-REMAINDER",
  "FIXNUM-XOR",
  "FLOATING-VECTOR-CONS",
  "FLOATING-VECTOR-LENGTH",
  "FLOATING-VECTOR-REF",
  "FLOATING-VECTOR-SET!",
  "FLONUM->BIGNUM",
  "FLONUM-ABS",
  "FLONUM-ACOS",
  "FLONUM-ADD",
  "FLONUM-ASIN",
  "FLONUM-ATAN",
  "FLONUM-ATAN2",
  "FLONUM-CEILING",
  "FLONUM-CEILING->EXACT",
  "FLONUM-COS",
  "FLONUM-DENORMALIZE",
  "FLONUM-DIVIDE",
  "FLONUM-EQUAL?",
  "FLONUM-EXP",
  "FLONUM-EXPT",
  "FLONUM-FLOOR",
  "FLONUM-FLOOR->EXACT",
  "FLONUM-GREATER?",
  "FLONUM-INTEGER?",
  "FLONUM-LESS?",
  "FLONUM-LOG",
  "FLONUM-MULTIPLY",
  "FLONUM-NEGATE",
  "FLONUM-NEGATIVE?",
  "FLONUM-NORMALIZE",
  "FLONUM-POSITIVE?",
  "FLONUM-ROUND",
  "FLONUM-ROUND->EXACT",
  "FLONUM-SIN",
  "FLONUM-SQRT",
  "FLONUM-SUBTRACT",
  "FLONUM-TAN",
  "FLONUM-TRUNCATE",
  "FLONUM-TRUNCATE->EXACT",
  "FLONUM-ZERO?",
  "FLONUM?",
  "FORCE",
  "FULL-HOSTNAME",
  "GARBAGE-COLLECT",
  "GC-SPACE-STATUS",
  "GCD-FIXNUM",
  "GENERAL-CAR-CDR",
  "GET-COMMAND-LINE",
  "GET-DECODED-TIME",
  "GET-ENVIRONMENT-VARIABLE",
  "GET-FIXED-OBJECTS-VECTOR",
  "GET-FLUID-BINDINGS",
  "GET-INTERRUPT-ENABLES",
  "GET-NEXT-CONSTANT",
  "GET-PRIMITIVE-ADDRESS",
  "GET-PRIMITIVE-COUNTS",
  "GET-PRIMITIVE-NAME",
  "GET-UNUSED-COMMAND-LINE",
  "GET-USER-HOME-DIRECTORY",
  "GID->STRING",
  "GREATER-THAN-FIXNUM?",
  "HALT",
  "HAVE-PTYS?",
  "HOSTNAME",
  "HUNK3-CONS",
  "HUNK3-CXR",
  "HUNK3-SET-CXR!",
  "INTEGER->CHAR",
  "INTEGER->FLONUM",
  "INTEGER-ADD",
  "INTEGER-ADD-1",
  "INTEGER-DIVIDE",
  "INTEGER-EQUAL?",
  "INTEGER-GREATER?",
  "INTEGER-LESS?",
  "INTEGER-MULTIPLY",
  "INTEGER-NEGATE",
  "INTEGER-NEGATIVE?",
  "INTEGER-POSITIVE?",
  "INTEGER-QUOTIENT",
  "INTEGER-REMAINDER",
  "INTEGER-SUBTRACT",
  "INTEGER-SUBTRACT-1",
  "INTEGER-ZERO?",
  "INTEGER?",
  "KEYBOARD-GET-CONVERSION",
  "KEYBOARD-SET-CONVERSION!",
  "LENGTH",
  "LESS-THAN-FIXNUM?",
  "LEXICAL-ASSIGNMENT",
  "LEXICAL-REFERENCE",
  "LEXICAL-UNASSIGNED?",
  "LEXICAL-UNBOUND?",
  "LEXICAL-UNREFERENCEABLE?",
  "LINK-FILE",
  "LIST->VECTOR",
  "LISTIFY-BIGNUM",
  "LOAD-BAND",
  "LOCAL-ASSIGNMENT",
  "LOCAL-REFERENCE",
  "MAKE-BIT-STRING",
  "MAKE-CELL",
  "MAKE-CHAR",
  "MAKE-NON-POINTER-OBJECT",
  "MAKE-PIPE",
  "MAKE-STATE-SPACE",
  "MAP-CODE-TO-MACHINE-ADDRESS",
  "MAP-MACHINE-ADDRESS-TO-CODE",
  "MEMQ",
  "MICROCODE-IDENTIFY",
  "MICROCODE-LIBRARY-PATH",
  "MICROCODE-TABLES-FILENAME",
  "MINUS-FIXNUM",
  "MINUS-ONE-PLUS-FIXNUM",
  "MODULO",
  "MULTIPLY-FIXNUM",
  "NEGATIVE-FIXNUM?",
  "NEGATIVE?",
  "NEW-DIRECTORY-CLOSE",
  "NEW-DIRECTORY-OPEN",
  "NEW-DIRECTORY-READ",
  "NEW-DIRECTORY-READ-MATCHING",
  "NON-REENTRANT-CALL-WITH-CURRENT-CONTINUATION",
  "NOT",
  "OBJECT-DATUM",
  "OBJECT-GC-TYPE",
  "OBJECT-SET-TYPE",
  "OBJECT-TYPE",
  "OBJECT-TYPE?",
  "ONE-PLUS-FIXNUM",
  "OS-JOB-CONTROL?",
  "PAIR?",
  "PLUS-FIXNUM",
  "POSITIVE-FIXNUM?",
  "POSITIVE?",
  "PRIMITIVE-APPLY-STEP",
  "PRIMITIVE-EVAL-STEP",
  "PRIMITIVE-FASDUMP",
  "PRIMITIVE-IMPURIFY",
  "PRIMITIVE-OBJECT-DATUM",
  "PRIMITIVE-OBJECT-EQ?",
  "PRIMITIVE-OBJECT-GC-TYPE",
  "PRIMITIVE-OBJECT-REF",
  "PRIMITIVE-OBJECT-SET!",
  "PRIMITIVE-OBJECT-SET-TYPE",
  "PRIMITIVE-OBJECT-TYPE",
  "PRIMITIVE-OBJECT-TYPE?",
  "PRIMITIVE-PROCEDURE-ARITY",
  "PRIMITIVE-PROCEDURE-DOCUMENTATION",
  "PRIMITIVE-PURIFY",
  "PRIMITIVE-RETURN-STEP",
  "PROCESS-TIMER-CLEAR",
  "PROCESS-TIMER-SET",
  "PURE?",
  "QUOTED-CHAR?",
  "QUOTIENT",
  "RE-CHAR-SET-ADJOIN!",
  "RE-COMPILE-FASTMAP",
  "RE-MATCH-BUFFER",
  "RE-MATCH-SUBSTRING",
  "RE-SEARCH-BUFFER-BACKWARD",
  "RE-SEARCH-BUFFER-FORWARD",
  "RE-SEARCH-SUBSTRING-BACKWARD",
  "RE-SEARCH-SUBSTRING-FORWARD",
  "READ-BITS!",
  "REAL-TIME-CLOCK",
  "REAL-TIMER-CLEAR",
  "REAL-TIMER-SET",
  "REHASH",
  "RELOAD-BAND-NAME",
  "RELOAD-RETRIEVE-STRING",
  "RELOAD-SAVE-STRING",
  "REMAINDER",
  "RETURN-TO-APPLICATION",
  "SCAN-BACKWARD-PREFIX-CHARS",
  "SCAN-FORWARD-PREFIX-CHARS",
  "SCAN-FORWARD-TO-WORD",
  "SCAN-LIST-BACKWARD",
  "SCAN-LIST-FORWARD",
  "SCAN-SEXPS-FORWARD",
  "SCAN-WORD-BACKWARD",
  "SCAN-WORD-FORWARD",
  "SCODE-EVAL",
  "SET-CAR!",
  "SET-CDR!",
  "SET-CELL-CONTENTS!",
  "SET-CURRENT-DYNAMIC-STATE!",
  "SET-CURRENT-HISTORY!",
  "SET-FILE-MODES!",
  "SET-FILE-TIMES!",
  "SET-FIXED-OBJECTS-VECTOR!",
  "SET-FLUID-BINDINGS!",
  "SET-INTERRUPT-ENABLES!",
  "SET-RUN-LIGHT!",
  "SET-STRING-LENGTH!",
  "SET-STRING-MAXIMUM-LENGTH!",
  "SET-TRAP-STATE!",
  "SET-WORKING-DIRECTORY-PATHNAME!",
  "SETUP-TIMER-INTERRUPT",
  "STACK-ADDRESS-OFFSET",
  "STACK-TOP-ADDRESS",
  "STRING->SYMBOL",
  "STRING->SYNTAX-ENTRY",
  "STRING-ALLOCATE",
  "STRING-HASH",
  "STRING-HASH-MOD",
  "STRING-LENGTH",
  "STRING-MAXIMUM-LENGTH",
  "STRING-REF",
  "STRING-SET!",
  "STRING?",
  "SUBSTRING-CI=?",
  "SUBSTRING-DOWNCASE!",
  "SUBSTRING-FIND-NEXT-CHAR-IN-SET",
  "SUBSTRING-FIND-PREVIOUS-CHAR-IN-SET",
  "SUBSTRING-MATCH-BACKWARD",
  "SUBSTRING-MATCH-BACKWARD-CI",
  "SUBSTRING-MATCH-FORWARD",
  "SUBSTRING-MATCH-FORWARD-CI",
  "SUBSTRING-MOVE-LEFT!",
  "SUBSTRING-MOVE-RIGHT!",
  "SUBSTRING-UPCASE!",
  "SUBSTRING<?",
  "SUBSTRING=?",
  "SUBVECTOR->LIST",
  "SUBVECTOR-FILL!",
  "SUBVECTOR-MOVE-LEFT!",
  "SUBVECTOR-MOVE-RIGHT!",
  "SYSTEM",
  "SYSTEM-CALL-ERROR-MESSAGE",
  "SYSTEM-CLOCK",
  "SYSTEM-HUNK3-CXR0",
  "SYSTEM-HUNK3-CXR1",
  "SYSTEM-HUNK3-CXR2",
  "SYSTEM-HUNK3-SET-CXR0!",
  "SYSTEM-HUNK3-SET-CXR1!",
  "SYSTEM-HUNK3-SET-CXR2!",
  "SYSTEM-LIST-TO-VECTOR",
  "SYSTEM-PAIR-CAR",
  "SYSTEM-PAIR-CDR",
  "SYSTEM-PAIR-CONS",
  "SYSTEM-PAIR-SET-CAR!",
  "SYSTEM-PAIR-SET-CDR!",
  "SYSTEM-PAIR?",
  "SYSTEM-SUBVECTOR-TO-LIST",
  "SYSTEM-VECTOR-REF",
  "SYSTEM-VECTOR-SET!",
  "SYSTEM-VECTOR-SIZE",
  "SYSTEM-VECTOR?",
  "TERMCAP-GOTO-STRING",
  "TERMCAP-PAD-STRING",
  "TERMCAP-PARAM-STRING",
  "TERMINAL-BUFFERED",
  "TERMINAL-BUFFERED?",
  "TERMINAL-COOKED-OUTPUT",
  "TERMINAL-COOKED-OUTPUT?",
  "TERMINAL-DRAIN-OUTPUT",
  "TERMINAL-FLUSH-INPUT",
  "TERMINAL-FLUSH-OUTPUT",
  "TERMINAL-GET-ISPEED",
  "TERMINAL-GET-OSPEED",
  "TERMINAL-GET-STATE",
  "TERMINAL-NONBUFFERED",
  "TERMINAL-RAW-OUTPUT",
  "TERMINAL-SET-STATE",
  "TRANSLATE-TO-STATE-POINT",
  "TTY-COMMAND-BEEP",
  "TTY-COMMAND-CLEAR",
  "TTY-GET-INTERRUPT-CHARS",
  "TTY-GET-INTERRUPT-ENABLES",
  "TTY-INPUT-CHANNEL",
  "TTY-NEXT-INTERRUPT-CHAR",
  "TTY-OUTPUT-CHANNEL",
  "TTY-SET-INTERRUPT-CHARS!",
  "TTY-SET-INTERRUPT-ENABLES",
  "TTY-X-SIZE",
  "TTY-Y-SIZE",
  "UID->STRING",
  "UNDER-EMACS?",
  "UNIX-ENVIRONMENT",
  "UNSIGNED-INTEGER->BIT-STRING",
  "VECTOR",
  "VECTOR-8B-FILL!",
  "VECTOR-8B-FIND-NEXT-CHAR",
  "VECTOR-8B-FIND-NEXT-CHAR-CI",
  "VECTOR-8B-FIND-PREVIOUS-CHAR",
  "VECTOR-8B-FIND-PREVIOUS-CHAR-CI",
  "VECTOR-8B-REF",
  "VECTOR-8B-SET!",
  "VECTOR-CONS",
  "VECTOR-LENGTH",
  "VECTOR-REF",
  "VECTOR-SET!",
  "WITH-HISTORY-DISABLED",
  "WITH-INTERRUPT-MASK",
  "WITH-INTERRUPTS-REDUCED",
  "WITH-STACK-MARKER",
  "WITHIN-CONTROL-POINT",
  "WORKING-DIRECTORY-PATHNAME",
  "WRITE-BITS!",
  "ZERO-FIXNUM?",
  "ZERO?",
  "INEXISTENT-PRIMITIVE"
};

char * Primitive_Documentation_Table [] = {
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Put CHANNEL in blocking mode.",
  "Return #F iff CHANNEL is in non-blocking mode.\n\
Otherwise, CHANNEL is in blocking mode.\n\
If CHANNEL can be put in non-blocking mode, #T is returned.\n\
If it cannot, 0 is returned.",
  "Close file CHANNEL-NUMBER.",
  "Put CHANNEL in non-blocking mode.",
  "Read characters from CHANNEL, storing them in STRING.\n\
Third and fourth args START and END specify the substring to use.\n\
Attempt to fill that substring unless end-of-file is reached.\n\
Return the number of characters actually read from CHANNEL.",
  "Register CHANNEL for selection.",
  "Return #F iff CHANNEL is registered for selection.",
  "Like CHANNEL-READ, but also watches registered input channels.\n\
If there is no input on CHANNEL, returns #F.\n\
If there is input on some other registered channel, returns -2.\n\
If the status of some subprocess changes, returns -3.\n\
If an interrupt occurs during the read, returns -4.",
  "Return a vector of all channels in the channel table.",
  "Return (as a nonnegative integer) the type of CHANNEL.",
  "Unregister CHANNEL for selection.",
  "Write characters to CHANNEL, reading them from STRING.\n\
Third and fourth args START and END specify the substring to use.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Clears the interrupt bits in the MASK argument.\n\
The bits in MASK are interpreted as for `get-interrupt-enables'.",
  ((char *) 0),
  ((char *) 0),
  "Given a compiled closure, return the entry point which it invokes.",
  "Given a compiled code address, return its compiled code block.",
  "Given a compiled code address, return its offset into its block.",
  ((char *) 0),
  ((char *) 0),
  "Return #T if OBJECT is in constant space or isn't a pointer.",
  "Suck up DOS typeahead.",
  "This is an obsolete primitive; use `get-decoded-time' instead.",
  ((char *) 0),
  "Return the current file system time stamp.\n\
This is an integer whose units are in seconds.",
  "Return Scheme's effective GID.",
  "This is an obsolete primitive; use `get-decoded-time' instead.",
  "This is an obsolete primitive; use `get-decoded-time' instead.",
  "This is an obsolete primitive; use `get-decoded-time' instead.",
  "This is an obsolete primitive; use `get-decoded-time' instead.",
  "Return Scheme's effective UID.",
  "Return the name of the current user's home directory.",
  "Return (as a string) the user name of the user running Scheme.",
  "This is an obsolete primitive; use `get-decoded-time' instead.",
  "A cheap, built-in printer intended for debugging the interpreter.",
  "Close the directory opened by `directory-open'.",
  "Create a new directory, called NAME.",
  "Open the directory NAME for reading.\n\
If successful, return the first filename in the directory as a string.\n\
If there is no such file, #F is returned.",
  "Open the directory NAME for reading.",
  "Read and return a filename from the directory opened by `directory-open'.\n\
Return #F if there are no more files in the directory.",
  "Read and return a filename from the directory opened by `directory-open'.\n\
The filename must begin with the argument string.\n\
Return #F if there are no more matching files in the directory.",
  ((char *) 0),
  ((char *) 0),
  "Set the keyboard modifier mask",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Exit Scheme with no option to restart.",
  "Exit Scheme with no option to restart, returning integer argument\n\
as exit status.",
  "Return #T iff FILENAME exists and is accessible according to MODE.\n\
MODE is an integer between 0 and 7 inclusive, bitwise encoded:\n\
  4 ==> file is readable;\n\
  2 ==> file is writable;\n\
  1 ==> file is executable.",
  "Given a file name, return attribute information about the file.\n\
If the file exists and its status information is accessible, the result\n\
is a vector of 10 items (see the reference manual for details).  Otherwise\n\
the result is #F.",
  "Like FILE-ATTRIBUTES but indirect through symbolic links.",
  "Make a new copy of the file FROM-NAME, called TO-NAME.",
  "Return #T iff FILENAME refers to an existing directory.\n\
Otherwise #F is returned, meaning either that FILENAME doesn't exist\n\
 or that it isn't a directory.",
  "True iff the two file arguments are the same file.",
  "Return #T iff FILENAME refers to an existing file.\n\
Return #F if the file doesn't exist.\n\
Return zero if it's a symbolic link that points to a nonexisting file.\n\
Signal an error if the file's existence is indeterminate.",
  "Return the length of CHANNEL in characters.",
  "Create a hard link from file FROM-NAME to file TO-NAME.\n\
TO-NAME becomes another name for the file FROM-NAME.",
  "Create a soft link from file FROM-NAME to file TO-NAME.\n\
TO-NAME becomes a soft link containing the string FROM-NAME.",
  ((char *) 0),
  ((char *) 0),
  "Return mode bits of FILE, as an integer.",
  "Open an output file called FILENAME, returning a channel number.\n\
If the file exists, output is appended to its contents.",
  "Open an input file called FILENAME, in binary mode, returning a channel number.",
  "Open an output file called FILENAME, in binary mode,\n\
returning a channel number.  If the file exists, it is rewritten.",
  "This is an obsolete primitive.\n\
Open a file called FILENAME, returning a channel number.\n\
Second argument MODE says how to open the file:\n\
  #F        ==> open for input;\n\
  #T        ==> open for output, rewriting file if it exists;\n\
  otherwise ==> open for output, appending to existing file.",
  "Open an input file called FILENAME, returning a channel number.",
  "Open a file called FILENAME, returning a channel number.\n\
The file is opened for both input and output.\n\
If the file exists, its contents are not disturbed.",
  "Open an output file called FILENAME, returning a channel number.\n\
If the file exists, it is rewritten.",
  "Return the position of CHANNEL's file-pointer.\n\
This is a non-negative number strictly less than the file's length.",
  "Delete file FILENAME.\n\
If FILENAME is a soft link, the link is deleted.",
  "If file FILENAME is a link to another file (hard or soft), remove it.",
  "Rename file FROM-NAME to TO-NAME.",
  "Set the file-pointer of CHANNEL to POSITION.\n\
POSITION must be a non-negative number strictly less than the file's length.",
  "Iff FILENAME refers to an existing soft link, return the link contents.\n\
Otherwise #F is returned, meaning either that FILENAME doesn't exist\n\
 or that it isn't a soft link.",
  "Convert a file system time stamp into a date/time string.",
  "Given a file name, change the times of the file to the current time.\n\
If the file does not exist, create it.\n\
Both the access time and modification time are changed.\n\
Return #F if the file existed and its time was modified.\n\
Otherwise the file did not exist and it was created.",
  "(FIND-SYMBOL STRING)\n\
Returns the symbol whose name is STRING, or #F if no such symbol exists.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Returns the full hostname (including domain if available) as a string.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Return a vector with the current decoded time;\n\
arg TAG is used to tag the vector.\n\
The vector's elements are:\n\
  #(TAG second minute hour day month year day-of-week)",
  "Look up the value of a variable in the user's shell environment.\n\
The argument, a variable name, must be a string.\n\
The result is either a string (the variable's value),\n\
 or #F indicating that the variable does not exist.",
  ((char *) 0),
  ((char *) 0),
  "Returns the current interrupt mask.",
  "Return the next free address in constant space.",
  "Given a symbol NAME, return the primitive object of that name.\n\
ARITY is the number of arguments which the primitive should expect.\n\
If ARITY is #F, #F is returned if the primitive is not implemented,\n\
even if the name already exists.\n\
If ARITY is an integer, a primitive object will always be returned,\n\
whether the corresponding primitive is implemented or not.",
  "Return a pair of integers which are the number of primitive procedures.\n\
The car is the count of defined primitives;\n\
the cdr is the count of undefined primitives that are referenced.",
  "Return the (string) name of PRIMITIVE-PROCEDURE.",
  ((char *) 0),
  "Return the file name of a given user's home directory.\n\
The user name argument must be a string.\n\
If no such user is known, #F is returned.",
  "Return the group name corresponding to GID.\n\
If the argument is not a known group ID, #F is returned.",
  ((char *) 0),
  "Exit Scheme, suspending it to that it can be restarted.",
  ((char *) 0),
  "Returns the hostname of the machine as a string.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "This is an obsolete primitive.  Use `file-link-hard' or `file-link-soft'.\n\
Create a new name for file FROM-NAME, called TO-NAME.\n\
If third arg HARD? is #F, a soft link is created;\n\
 otherwise a hard link is created.",
  ((char *) 0),
  "Returns a list of the digits of BIGNUM in RADIX.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Convert the unsigned integer NUMBER into a fixnum.\n\
Assert: (= (OBJECT-DATUM (MAKE-NON-POINTER-OBJECT X)) X).",
  "Return a cons of two channels, the reader and writer of a pipe.",
  "Return a newly-allocated state-space.\n\
Argument MUTABLE?, if not #F, means return a mutable state-space.\n\
Otherwise, -the- immutable state-space is saved internally.",
  "For return codes and primitives, this returns the internal\n\
representation of the return address or primitive address given the\n\
external representation.\n\
\n\
This accepts two arguments, TYPE-CODE and VALUE-CODE.  TYPE-CODE is\n\
the microcode type of the object to be returned; it must be either a\n\
return address or primitive procedure type.  VALUE-CODE is the index\n\
number (i.e. external representation) of the desired result.",
  "This is the inverse operation of `map-code-to-machine-address'.  Given\n\
a machine ADDRESS and a TYPE-CODE (either return code or primitive\n\
procedure), it finds the number for the external representation for\n\
the internal address.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Close DIRECTORY.",
  "Open the directory NAME for reading, returning a directory number.",
  "Read and return a filename from DIRECTORY, or #F if no more files.",
  "Read and return a filename from DIRECTORY.\n\
The filename must begin with the STRING.\n\
Return #F if there are no more matching files in the directory.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Remove OBJECT from pure space so it can be side effected.\n\
The object is placed in constant space instead.",
  "Return the datum part of OBJECT as an unsigned integer.",
  ((char *) 0),
  "Return an unsigned integer indicating the GC type of the object.",
  ((char *) 0),
  ((char *) 0),
  "Return a new object made from TYPE-CODE and the datum part of OBJECT.",
  "Return the type code of OBJECT as an unsigned integer.",
  "Return #T if TYPE-CODE is OBJECT's type code, else #F.",
  "Given a primitive procedure, returns the number of arguments it requires.",
  "Given a primitive procedure, return its documentation string.",
  ((char *) 0),
  ((char *) 0),
  "Turn off the process timer.",
  "Set the process timer.\n\
First arg FIRST says how long to wait until the first interrupt;\n\
second arg INTERVAL says how long to wait between interrupts after that.\n\
Both arguments are in units of milliseconds.",
  "Return #T if OBJECT is pure (i.e. it doesn't point to any other object,\n\
or it is in a pure section of the constant space).",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Return the current real time in units of milliseconds.",
  "Turn off the real timer.",
  "Set the real timer.\n\
First arg FIRST says how long to wait until the first interrupt;\n\
second arg INTERVAL says how long to wait between interrupts after that.\n\
Both arguments are in units of milliseconds.",
  ((char *) 0),
  "Return the filename from which the runtime system was last restored.\n\
The result is a string, or #F if the system was not restored.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Invokes first argument THUNK with no arguments and a special return address.\n\
The return address calls the second argument on the remaining arguments.\n\
This is used by the runtime system to create stack frames that can be\n\
identified by the continuation parser.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Set the mode bits of FILE to MODE.",
  "Change the access and modification times of FILE.\n\
The second and third arguments are the respective times;\n\
they are integers are the times in seconds since 00:00:00 GMT, Jan. 1, 1970\n\
The file must exist and you must be the owner (or superuser).",
  ((char *) 0),
  ((char *) 0),
  "Sets the interrupt mask to NEW-INT-ENABLES; returns previous mask value.\n\
See `mask_interrupt_enables' for more information on interrupts.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Change the current working directory to NAME.",
  "This is an obsolete primitive; use `process-timer-set' instead.",
  ((char *) 0),
  ((char *) 0),
  "(STRING->SYMBOL STRING)\n\
Returns the symbol whose name is STRING, constructing a new symbol if needed.",
  ((char *) 0),
  ((char *) 0),
  "(STRING-HASH STRING)\n\
Return a hash value for a string.  This uses the hashing\n\
algorithm used for interning symbols.  It is intended for use by\n\
the reader in creating interned symbols.",
  "(STRING-HASH-MOD STRING DENOMINATOR)\n\
DENOMINATOR must be a nonnegative integer.\n\
Equivalent to (MOD (STRING-HASH STRING) DENOMINATOR).",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Invoke sh (the Bourne shell) on the string argument.\n\
Wait until the shell terminates, returning its exit status as an integer.",
  ((char *) 0),
  "Return the current process time in units of milliseconds.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Put TERMINAL into buffered mode.",
  "Return #F iff TERMINAL is not in buffered mode.",
  "Put TERMINAL into cooked output mode.",
  "Return #F iff TERMINAL is not in cooked output mode.",
  "Wait until all characters in TERMINAL's output buffer have been sent.",
  "Discard any characters in TERMINAL's input buffer.",
  "Discard any characters in TERMINAL's output buffer.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Put TERMINAL into nonbuffered mode.",
  "Put TERMINAL into raw output mode.",
  ((char *) 0),
  ((char *) 0),
  "Return a string that, when written to the display, will make it beep.",
  "Return a string that, when written to the display, will clear it.",
  "Return the current interrupt characters as a string.",
  "Return the current keyboard interrupt enables.",
  "Return the standard input channel.",
  "Return the next interrupt character in the console input buffer.\n\
The character is returned as an unsigned integer.",
  "Return the standard output channel.",
  "Change the current interrupt characters to STRING.\n\
STRING must be in the correct form for this operating system.",
  "Change the keyboard interrupt enables to MASK.",
  "Return the display width in character columns.",
  "Return the display height in character lines.",
  "Return the user name corresponding to UID.\n\
If the argument is not a known user ID, #F is returned.",
  ((char *) 0),
  "Copy the unix environment and return it as a vector of strings.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  "Call first argument THUNK with a continuation that has a special marker.\n\
When THUNK returns, the marker is discarded.\n\
The value of THUNK is returned to the continuation of this primitive.\n\
The marker consists of the second and third arguments.\n\
By convention, the second argument is a tag identifying the kind of marker,\n\
and the third argument is data identifying the marker instance.",
  ((char *) 0),
  "Return the current working directory as a string.",
  ((char *) 0),
  ((char *) 0),
  ((char *) 0),
  ((char *) 0)
};

int Primitive_Arity_Table [] = {
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  1,
  1,
  2,
  1,
  2,
  1,
  1,
  1,
  1,
  2,
  2,
  2,
  2,
  2,
  1,
  1,
  2,
  2,
  2,
  1,
  1,
  1,
  1,
  2,
  2,
  2,
  2,
  1,
  2,
  2,
  2,
  2,
  2,
  2,
  1,
  2,
  1,
  3,
  5,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  4,
  1,
  1,
  4,
  0,
  1,
  1,
  4,
  1,
  1,
  2,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  2,
  1,
  1,
  1,
  1,
  2,
  1,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  1,
  1,
  1,
  0,
  1,
  1,
  2,
  1,
  3,
  2,
  1,
  3,
  2,
  2,
  3,
  4,
  0,
  1,
  2,
  1,
  1,
  2,
  1,
  2,
  1,
  1,
  2,
  2,
  1,
  1,
  1,
  1,
  1,
  1,
  2,
  1,
  1,
  1,
  1,
  1,
  1,
  2,
  2,
  1,
  1,
  1,
  1,
  1,
  2,
  2,
  2,
  1,
  1,
  2,
  2,
  2,
  2,
  1,
  1,
  2,
  3,
  1,
  1,
  1,
  2,
  1,
  1,
  2,
  1,
  1,
  1,
  2,
  2,
  2,
  1,
  2,
  1,
  1,
  2,
  1,
  2,
  1,
  2,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  2,
  1,
  1,
  1,
  1,
  1,
  1,
  0,
  1,
  0,
  2,
  2,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  2,
  0,
  1,
  0,
  1,
  1,
  2,
  0,
  0,
  0,
  3,
  2,
  3,
  1,
  2,
  2,
  1,
  2,
  2,
  2,
  2,
  2,
  1,
  1,
  1,
  2,
  2,
  2,
  1,
  1,
  1,
  1,
  2,
  1,
  2,
  3,
  2,
  2,
  2,
  2,
  3,
  1,
  2,
  1,
  3,
  2,
  2,
  1,
  2,
  1,
  0,
  1,
  2,
  2,
  2,
  0,
  0,
  0,
  2,
  1,
  2,
  2,
  1,
  1,
  1,
  1,
  1,
  2,
  1,
  1,
  1,
  1,
  2,
  1,
  2,
  1,
  0,
  1,
  2,
  1,
  1,
  3,
  3,
  3,
  1,
  1,
  2,
  1,
  2,
  3,
  2,
  1,
  2,
  1,
  1,
  3,
  2,
  0,
  2,
  1,
  4,
  2,
  2,
  4,
  7,
  7,
  7,
  7,
  7,
  7,
  3,
  0,
  0,
  2,
  2,
  0,
  0,
  1,
  2,
  -1,
  4,
  4,
  4,
  7,
  7,
  7,
  4,
  4,
  2,
  2,
  2,
  2,
  1,
  1,
  2,
  3,
  1,
  1,
  1,
  1,
  2,
  2,
  1,
  1,
  2,
  1,
  0,
  1,
  1,
  1,
  1,
  2,
  1,
  1,
  2,
  3,
  1,
  6,
  3,
  4,
  4,
  6,
  6,
  6,
  6,
  5,
  5,
  3,
  6,
  6,
  3,
  4,
  5,
  5,
  1,
  1,
  0,
  1,
  1,
  1,
  2,
  2,
  2,
  2,
  1,
  1,
  3,
  2,
  2,
  1,
  3,
  2,
  3,
  1,
  1,
  5,
  4,
  5,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  1,
  2,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  1,
  0,
  0,
  2,
  -1,
  4,
  4,
  4,
  4,
  4,
  2,
  3,
  2,
  1,
  2,
  3,
  1,
  2,
  2,
  3,
  2,
  0,
  3,
  1,
  1,
  -1
};

int Primitive_Count_Table [] = {
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (5 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (-1 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (7 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (6 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (6 * sizeof(SCHEME_OBJECT)),
  (6 * sizeof(SCHEME_OBJECT)),
  (6 * sizeof(SCHEME_OBJECT)),
  (6 * sizeof(SCHEME_OBJECT)),
  (5 * sizeof(SCHEME_OBJECT)),
  (5 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (6 * sizeof(SCHEME_OBJECT)),
  (6 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (5 * sizeof(SCHEME_OBJECT)),
  (5 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (5 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (5 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (-1 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (4 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (2 * sizeof(SCHEME_OBJECT)),
  (0 * sizeof(SCHEME_OBJECT)),
  (3 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (1 * sizeof(SCHEME_OBJECT)),
  (-1 * sizeof(SCHEME_OBJECT))
};
